
***Sezione consumo alcol

**** Definisco la variabile consumo_alcol per distinguere astemi e consumatori di alcol (coloro che rispondono "non so/ non ricordo vengono esclusi 

gen consumo_alcol=.
replace consumo_alcol=1 if s05_alcool_gg>0 & s05_alcool_gg !=.
replace  consumo_alcol=0 if s05_alcool_gg==0
replace  consumo_alcol=. if s05_alcool_gg==-99 
label define consumo_alcol  1 "1 si" 0 "0 no"
label value consumo_alcol consumo_alcol

gen consumo_alcol_quando=.
replace consumo_alcol_quando=1 if s05_alcool_quando==1
replace consumo_alcol_quando=2 if s05_alcool_quando==2
replace consumo_alcol_quando=. if s05_alcool_quando==.
label define consumo_alcol_quando 1 "1 prevalentemente fine settimana" 2 "2 prevalentemente durante settimana"
label value consumo_alcol_quando  consumo_alcol_quando

**** variabile per distinguere tra i consumatori di alcol i consumatori di forti quantit (pi di due unit al giorno per le donne e pi di 3 per gli uomini) (chi  astemio viene incluso tra coloro che non bevono forti quantit)

gen consumo_forte_2007=.
replace  consumo_forte_2007=1 if ((s05_alcool_quanto>3 & s05_alcool_quanto !=.) & sesso==1) | ((s05_alcool_quanto>2 & s05_alcool_quanto !=.) &  sesso==2)
replace  consumo_forte_2007=0 if ((s05_alcool_quanto<4 & s05_alcool_quanto !=.) & sesso==1) | ((s05_alcool_quanto<3 & s05_alcool_quanto !=.) &  sesso==2) | consumo_alcol==0
label define consumo_forte_2007 1 "1 si" 0 "0 no"
label value consumo_forte_2007 consumo_forte_2007

**** variabile per distinguere tra i consumatori di alcol i consumatori di forti quantit in base alla nuova definizione dell'INRAN (pi di una unit al giorno per le donne e pi di due per gli uomini) (chi  astemio viene incluso tra coloro che non bevono forti quantit)

gen consumo_forte_2009=.
replace  consumo_forte_2009=1 if ((s05_alcool_quanto>2 & s05_alcool_quanto !=.) & sesso==1) | ((s05_alcool_quanto>1 & s05_alcool_quanto !=.) & sesso==2) 
replace  consumo_forte_2009=0 if ((s05_alcool_quanto<3 & s05_alcool_quanto !=.) & sesso==1) | ((s05_alcool_quanto<2 & s05_alcool_quanto !=.) & sesso==2) | consumo_alcol==0
label define consumo_forte_2009 1 "1 si" 0 "0 no"
label value consumo_forte_2009 consumo_forte_2009 

****variabile per definire il consumo di alcol fuor pasto (chi  astemio viene incluso tra coloro che non bevono fuori pasto)

gen fuori_pasto=.
replace  fuori_pasto=1 if s05_alcool_quando_pasti==3 | s05_alcool_quando_pasti==4 
replace  fuori_pasto=0 if s05_alcool_quando_pasti==1 | s05_alcool_quando_pasti==2 | consumo_alcol==0
label define fuori_pasto 1 "1 si" 0 "0 no"
label value fuori_pasto fuori_pasto



*******creo la variabile binge del vecchio questionario
gen binge=.
replace binge=1 if  (s05_alcool_quanto_piu>0 & s05_alcool_quanto_piu!=.) & client<9
replace binge=0 if  (s05_alcool_quanto_piu==0 | consumo_alcol==0) & client<9
label define binge 1 "1 si" 0 "0 no"
label value binge binge


******variabile per individuare uomini che bevono 5 o donne che bevono 4 o pi unit di bevande alcoliche in una unica occasione nell'ultimo mese (nuova definizione di bevitori binge - 2010)

gen binge_2010=.
replace  binge_2010=1 if (s05_alcool_quanto_piu>0 & s05_alcool_quanto_piu !=.) & client>8 
replace  binge_2010=0 if (s05_alcool_quanto_piu==0 | consumo_alcol==0) & client>8
replace binge_2010=. if client>8 & anno<2010
label define binge_2010 1 "1 si" 0 "0 no"
label value binge_2010 binge_2010

***creo una nuova variabile binge_2014 che unisce la variabile binge con la variabile binge_2010
***questa variabile deve sempre essere presentata con l'avvertenza del cambio di questionario nel 2010
gen binge_2014=.
replace binge_2014=binge if client <9 & client !=.
replace binge_2014=binge_2010 if client >8 & client !=.
label define binge_2014 1 "1 si" 0 "0 no"
label value binge_2014 binge_2014


*** nuova variabile 2011 che definisce il consumo abituale elevato 
*** (pi di un'unit media al giorno per le donne e pi di due per gli uomini)
*** per creare questa variabile c' bisogno di una variabile intermedia che descriva il consumo medio giornaliero di alcol
*** (consumo medio giornaliero*numero di giorni in cui c' stato il consumo/30)
*** il denominatore  l'intera popolazione dei rispondenti alla prima domanda sul consumo di alcol

gen consumo_alcol_giorn=(s05_alcool_gg*s05_alcool_quanto)/30
replace  consumo_alcol_giorn=. if s05_alcool_gg<1 | s05_alcool_gg==. 
replace  consumo_alcol_giorn=. if s05_alcool_quanto <1 | s05_alcool_quanto==. 
	
gen consumo_abit_elev=.
replace  consumo_abit_elev=1 if ((consumo_alcol_giorn>2 & consumo_alcol_giorn !=.) & sesso==1) | ((consumo_alcol_giorn>1 & consumo_alcol_giorn !=.) & sesso==2) 
replace  consumo_abit_elev= 0 if ((consumo_alcol_giorn<=2 & consumo_alcol_giorn !=.) & sesso==1) | ((consumo_alcol_giorn<=1 & consumo_alcol_giorn !=.) & sesso==2) | consumo_alcol==0 
label define consumo_abit_elev  1 "1 si" 0 "0 no"
label value consumo_abit_elev consumo_abit_elev  

**** variabile che unisce le tre categorie a rischio in una sola variabile consumo a rischio sulla base dei nuovi limiti dell'INRAN

gen consumo_rischio_2010=.
replace  consumo_rischio_2010=1 if binge_2010==1 | fuori_pasto==1 | consumo_forte_2009==1 
replace  consumo_rischio_2010=0 if (binge_2010==0 & fuori_pasto==0 & consumo_forte_2009==0)| consumo_alcol==0 
label define consumo_rischio_2010 1 "1 si" 0 "0 no"
label value consumo_rischio_2010 consumo_rischio_2010

***Variabile 2008-2014 sul consumo alcol rischio definito secondo la vecchia definizione per il calcolo di un eventuale trend 
gen consumo_rischio=.
replace  consumo_rischio=1 if binge_2014==1 | fuori_pasto==1 | consumo_forte_2009==1 
replace  consumo_rischio=0 if (binge_2014==0 & fuori_pasto==0 & consumo_forte_2009==0)| consumo_alcol==0 
label define consumo_rischio 1 "1 si" 0 "0 no"
label value consumo_rischio consumo_rischio

**** nuova variabile 2011 che unisce le tre categorie a rischio (consumo abituale elevato, fuori pasto e binge) in una sola variabile consumo a rischio.
**** IMPORTANTE RICORDARE CHE I PERIODI PRIMA E DOPO IL 2010 NON POSSONO ESSERE CONFRONTATI PERCH  CAMBIATA LA DEFINIZIONE DI BINGE

gen consumo_maggior_rischio=.
replace  consumo_maggior_rischio=1 if binge_2014==1 | fuori_pasto==1 | consumo_abit_elev==1 
replace  consumo_maggior_rischio=0 if (binge_2014==0 & fuori_pasto==0 & consumo_abit_elev==0)| consumo_alcol==0 
label define consumo_maggior_rischio  1 "1 si" 0 "0 no"
label value consumo_maggior_rischio consumo_maggior_rischio 

******inizia la parte sui consigli
****Variabile per individuare quelli a cui il medico ha si  informato sul consumo di alcol negli ultimi 12 mesi

gen medicochiestoalcol=.
replace  medicochiestoalcol=1 if s05_alcool_chiesto==1 
replace  medicochiestoalcol=0 if s05_alcool_chiesto==2 | s05_alcool_chiesto==3 | s05_alcool_chiesto==-99  
label define medicochiestoalcol  1 "1 si" 0 "0 no"
label value medicochiestoalcol  medicochiestoalcol 

****variabile per individuare coloro a cui il medico ha consigliato di bere meno

gen medico_sugg_meno=.
replace  medico_sugg_meno=1 if s05_alcool_sugg_san=="t" 
replace  medico_sugg_meno=0	 if s05_alcool_sugg_san=="" | s05_alcool_sugg_san=="f" 
replace medico_sugg_meno =. if s05_alcool_sugg_san=="" & s05_alcool_sugg_fam=="" /// 
& s05_alcool_sugg_altro=="" & s05_alcool_sugg_no=="" & s05_alcool_sugg_non_so==""
* NB. modifica cambio del questionario del 2010-2014: fino al 2009 si chiedeva 
* anche a chi non beveva se aveva avuto il consiglio di bere meno alcol
* escludo dal denominatore chi non beve alcol
replace medico_sugg_meno=. if consumo_alcol==0
* escludo dal denominatore che non  stato dal medico negli ultimi 12 mesi
replace medico_sugg_meno=. if s05_alcool_chiesto==4
label define medico_sugg_meno  1 "1 si" 0 "0 no"
label value medico_sugg_meno medico_sugg_meno 

*********************************************

gen medicochiestoalcol_bis=.
replace  medicochiestoalcol_bis=1 if s05_alcool_chiesto==1 
replace  medicochiestoalcol_bis=0 if s05_alcool_chiesto==3 | s05_alcool_chiesto==-99 
replace  medicochiestoalcol_bis=. if client<4
label define medicochiestoalcol_bis  1 "1 si" 0 "0 no"
label value medicochiestoalcol_bis  medicochiestoalcol_bis 

gen medico_sugg_meno_bis=medico_sugg_meno
replace  medico_sugg_meno_bis=. if client<4
label define medico_sugg_meno_bis 1 "1 si" 0 "0 no"
label value medico_sugg_meno_bis medico_sugg_meno_bis 	

***genero la variabile proxy delle donne in stato di gravidanza

*** definisco una varibile che mi indica quali donne erano incinta negli ultimi 12 mesi gen incinta=.
gen incinta=1 if  s14_var_peso==4
replace incinta=0 if  s14_var_peso==-99 | s14_var_peso==1 | s14_var_peso==2 | s14_var_peso==3
replace incinta=. if client>16

*** definisco una variabile proxy dell'essere in incinta al momento dell'intervista

gen incinta_interv=.
replace incinta_interv=1 if incinta==1
replace incinta_interv=0 if incinta==1 & (s14_anni_bamb_piu_piccolo==0 | s14_anni_bamb_piu_piccolo_mo==0)

**** domande inserite a giugno 2008
replace incinta_interv=. if client<6

**** definisco una variabile a 3 categorie che mi indica chi  incinta al
**** momento dell'intervista, chi era incinta e chi non lo era

gen incinta3cat=3 if incinta==0
replace incinta3cat=1 if incinta_interv==1
replace incinta3cat=2 if incinta_interv==0

label define incinta3cat 1 "1 incinta intervista" 2 "2 gravidanza recente" 3 "3 no gravidanza ultimi 12 mesi"
label value incinta3cat incinta3cat
