
**modulo aggiuntivo

gen dachiseguito=.
replace dachiseguito=1 if s07_diab_seguito==1
replace dachiseguito=2 if s07_diab_seguito==2
replace dachiseguito=3 if s07_diab_seguito==3
replace dachiseguito=4 if s07_diab_seguito==4
replace dachiseguito=5 if s07_diab_seguito==5
replace dachiseguito=6 if s07_diab_seguito==-99
label define dachiseguito 1 "1 medico famiglia" 2 "2 medico e centro diabetologico" 3 "3 centro diabetologico" 4 "4 altro medico" 5 "5 nessuno" 6 "6 non so/non ricordo"
label value dachiseguito dachiseguito

gen conosce_HbA1c=.
replace conosce_HbA1c=1 if s07_diab_hba1c_sentito==1
replace conosce_HbA1c=0 if s07_diab_hba1c_sentito==2 | s07_diab_hba1c_sentito==-99
label define conosce_HbA1c 1 "1 si" 0 "0 no"
label value conosce_HbA1c conosce_HbA1c

gen eseguito_HbA1c=.
replace eseguito_HbA1c=1 if s07_diab_hba1c_fatto==1
replace eseguito_HbA1c=0 if s07_diab_hba1c_fatto==2 | s07_diab_hba1c_fatto==-99
label define eseguito_HbA1c 1 "1 si" 0 "0 no"
label value eseguito_HbA1c eseguito_HbA1c

gen quando_HbA1c=.
replace quando_HbA1c=1 if s07_diab_hba1c_quando==1
replace quando_HbA1c=2 if s07_diab_hba1c_quando==2
replace quando_HbA1c=3 if s07_diab_hba1c_quando==3
replace quando_HbA1c=4 if s07_diab_hba1c_quando==-99
label define quando_HbA1c 1 "1 negli ultimi 4 mesi" 2 "2 tra 4 e 12 mesi fa" 3 "3 piu di 12 mesi fa" 4 "4 non so/non ricordo"
label value quando_HbA1c quando_HbA1c

*Calcolo dell'indicatore controllo dell' HBA1C come sintesi delle domande "conosce" , "eseguito" e "quando"
gen controllo_HbA1c=.
replace controllo_HbA1c=1 if s07_diab_hba1c_quando==1
replace controllo_HbA1c=2 if s07_diab_hba1c_quando==2
replace controllo_HbA1c=3 if s07_diab_hba1c_quando==3
replace controllo_HbA1c=4 if s07_diab_hba1c_quando==-99
replace controllo_HbA1c=5 if s07_diab_hba1c_fatto==2 | s07_diab_hba1c_fatto==-99
replace controllo_HbA1c=6 if s07_diab_hba1c_sentito==2 | s07_diab_hba1c_sentito==-99
label define controllo_HbA1c 1 "1 negli ultimi 4 mesi" 2 "2 tra 4 e 12 mesi fa" 3 "3 pi di 12 mesi fa" 4 "4 fatto ma non ricordo"  5 "5 no ma conosco" 6 "6 non conosco"
label value controllo_HbA1c controllo_HbA1c


gen controllo_HbA1c_12mesi=.
replace controllo_HbA1c_12mesi=1 if controllo_HbA1c==1 | controllo_HbA1c==2
replace controllo_HbA1c_12mesi=0 if controllo_HbA1c==3 | controllo_HbA1c==4 | controllo_HbA1c==5 | controllo_HbA1c==6
label define controllo_HbA1c_12mesi 1 "1 si" 0 "0 no" 
label value controllo_HbA1c_12mesi controllo_HbA1c_12mesi




destring s07_diab_farmaci, replace

gen farmaci_diabete=.
replace farmaci_diabete=1 if s07_diab_farmaci==1
replace farmaci_diabete=0 if s07_diab_farmaci==2 |  s07_diab_farmaci==-99
label define farmaci_diabete 1 "1 si" 0 "0 no"
label value farmaci_diabete farmaci_diabete

gen farmaci_orali_diabete=.
replace farmaci_orali_diabete=1 if s07_diab_farmaci_orali=="t" & diabete_2014==1 & farmaci_diabete==1
replace farmaci_orali_diabete=0 if (s07_diab_farmaci_orali=="f" & diabete_2014==1 & farmaci_diabete==1) | (s07_diab_farmaci_orali=="" & diabete_2014==1 & farmaci_diabete==1)
label define farmaci_orali_diabete 1 "1 si" 0 "0 no"
label value farmaci_orali_diabete farmaci_orali_diabete

gen farmaci_insulina_diabete=.
replace farmaci_insulina_diabete=1 if s07_diab_farmaci_insulina=="t" & diabete_2014==1 & farmaci_diabete==1
replace farmaci_insulina_diabete=0 if (s07_diab_farmaci_insulina=="f" & diabete_2014==1 & farmaci_diabete==1) | (s07_diab_farmaci_insulina=="" & diabete_2014==1 & farmaci_diabete==1)
label define farmaci_insulina_diabete 1 "1 si" 0 "0 no"
label value farmaci_insulina_diabete farmaci_insulina_diabete

gen farmaci_iniezioni_diabete=.
replace farmaci_iniezioni_diabete=1 if s07_diab_farmaci_iniezione=="t" & diabete_2014==1 & farmaci_diabete==1
replace farmaci_iniezioni_diabete=0 if (s07_diab_farmaci_iniezione=="f" & diabete_2014==1 & farmaci_diabete==1) | (s07_diab_farmaci_iniezione=="" & diabete_2014==1 & farmaci_diabete==1)
label define farmaci_iniezioni_diabete 1 "1 si" 0 "0 no"
label value farmaci_iniezioni_diabete farmaci_iniezioni_diabete

***misurato pressione nell'ultimo anno
gen paultimoanno=.
replace paultimoanno=1 if  s07_press_quando==1
replace paultimoanno=2 if  s07_press_quando==2 | s07_press_quando==3 | s07_press_quando==-99
replace paultimoanno=3 if  s07_press_mis==2 | s07_press_mis==-99
label define paultimoanno 1 "1 ultimo anno" 2 "2 da piu di 1 anno" 3 "3 mai"
label value paultimoanno paultimoanno


