
***Sezione abitudine al fumo

gen abitudinefumo =.
replace abitudinefumo =1 if s03_fumo==1 & s03_fumo_att=="t"
replace abitudinefumo =2 if s03_fumo==1 & s03_fumo_att=="f" 
replace abitudinefumo =3 if s03_fumo==1 & s03_fumo_att=="f" & s03_smesso_quando==1
replace abitudinefumo =4 if s03_fumo==2 | s03_fumo==-99
label define abitudinefumo 1 "1 fumatore" 2 "2 exfumatore" 3 "3 in astensione" 4 "4 non fumatore"
label value abitudinefumo abitudinefumo 

***** Definisco la variabile dicotomica dei fumatori
gen fumatore =.
replace fumatore =1 if abitudinefumo==1 | abitudinefumo==3
replace fumatore =0 if abitudinefumo==2 | abitudinefumo==4

label define fumatore 1 "1 si" 0 "0 no"
label value fumatore fumatore 

*****Definisco la variabile dicotomica degli ex-fumatori

gen exfumatore=.
replace exfumatore=1 if abitudinefumo==2
replace exfumatore=0 if abitudinefumo==1 | abitudinefumo==3 | abitudinefumo==4

label define exfumatore 1 "1 si" 0 "0 no"
label value exfumatore exfumatore 

***** Definisco la variabile in tre categorie dei fumatori

gen fumatore3 =.
replace fumatore3 =1 if abitudinefumo==1 | abitudinefumo==3
replace fumatore3 =2 if abitudinefumo==2
replace fumatore3 =3 if abitudinefumo==4
label define fumatore3 1 "1 fumatore" 2 "2 exfumatore" 3 "3 non fumatore"
label value fumatore3 fumatore3 

***** Definisco la variabile fumotutto, che mi da anche il dettaglio del tipo di fumatore(in astensione, occasionale, quotidiano)

**con fumatore forte

gen fumo_tutto=.
*fumatore quotidiano forte (>=20 sig <l al d)
replace fumo_tutto=1 if s03_fumo==1 & s03_fumo_att=="t" & (s03_fumo_quanto>19 & s03_fumo_quanto!=.)
*fumatore quotidiano (<20 sig <l al d)
replace fumo_tutto=2 if s03_fumo==1 & s03_fumo_att=="t" & (s03_fumo_quanto>-1 & s03_fumo_quanto<20 & s03_fumo_quanto!=.)
*fumatore occasionale (meno di una sig al d)
replace fumo_tutto=3 if s03_fumo==1 & s03_fumo_att=="t" & s03_fumo_quanto==-1 
*fumatore in astensione (da meno di 6 mesi)
replace fumo_tutto=4 if s03_fumo==1 & s03_fumo_att=="f" & s03_smesso_quando==1  
*ex fumatore (da pi di sei mesi)
replace fumo_tutto=5 if s03_fumo==1 & s03_fumo_att=="f" & (s03_smesso_quando!=1 & s03_smesso_quando!=.)
*non fumatore
replace fumo_tutto=6 if s03_fumo==2 | s03_fumo==-99
label define fumo_tutto 1 "1 forte" 2 "2 medio" 3 "3 occasionale" 4 "4 in astensione" 5 "5 exfumatore" 6 "6 non fumatore"
label value fumo_tutto fumo_tutto

**senza dettaglio di fumatore forte

gen fumo_tutto2=.
*fumatore quotidiano 
replace fumo_tutto2=1 if s03_fumo==1 & s03_fumo_att=="t" & (s03_fumo_quanto>-1 & s03_fumo_quanto!=.) 
*fumatore occasionale (meno di una sig al d)
replace fumo_tutto2=2 if s03_fumo==1 & s03_fumo_att=="t" & s03_fumo_quanto==-1 
*fumatore in astensione (da meno di 6 mesi)
replace fumo_tutto2=3 if s03_fumo==1 & s03_fumo_att=="f" & s03_smesso_quando==1  
*ex fumatore (da pi di sei mesi)
replace fumo_tutto2=4 if s03_fumo==1 & s03_fumo_att=="f" & (s03_smesso_quando!=1 & s03_smesso_quando!=.)
*non fumatore
replace fumo_tutto2=5 if s03_fumo==2 | s03_fumo==-99

label define fumo_tutto2 1 "1 quotidiano" 2 "2 occasionale" 3 "3 in astensione" 4 "4 exfumatore" 5 "5 non fumatore"
label value fumo_tutto2 fumo_tutto2


***** Definisco i forti fumatori (sui fumatori)
***** Nellanalisi escludo i non so -99

gen tipofumatore=.
replace tipofumatore=. if s03_fumo_quanto==-99 
replace tipofumatore=1 if s03_fumo_quanto==-1 
replace tipofumatore=2 if (s03_fumo_quanto>-1 & s03_fumo_quanto<20 & s03_fumo_quanto!=.)
replace tipofumatore=3 if (s03_fumo_quanto>19 & s03_fumo_quanto!=.)

label define tipofumatore 1 "1 fumatore occasionale" 2 "2 fumatore medio" 3 "3 forte fumatore" 
label value tipofumatore tipofumatore 

***** Definisco la variabile per le persone intervistate da un sanitario rispetto all'abitudine al fumo

gen chiestosefuma =.
replace chiestosefuma =1 if s03_fumo_chiesto==1 
replace chiestosefuma =2 if s03_fumo_chiesto==2 | s03_fumo_chiesto==3
replace chiestosefuma =3 if s03_fumo_chiesto==4 
replace chiestosefuma =4 if s03_fumo_chiesto==-99 
label define chiestosefuma 1 "1 si"  2 "2 no"  3 "3 non stato dal medico" 4 "4 non so/non ricordo" 
label value chiestosefuma chiestosefuma 

***** categorizzo se il medico ha chiesto all'intervistato se fuma: s/no

gen chiestosefuma_2cat =.
replace chiestosefuma_2cat =1 if chiestosefuma==1
replace chiestosefuma_2cat =0 if chiestosefuma==2 | chiestosefuma==4

label define chiestosefuma_2cat 1 "1 si" 0 "0 no" 
label value chiestosefuma_2cat chiestosefuma_2cat 

*** variabile (2 categorie) che tiene conto del cambio di questionario (esclusi quelli che non sono stati dal medico) ***

gen chiestosefuma_bis =.
replace chiestosefuma_bis =1 if s03_fumo_chiesto==1
replace chiestosefuma_bis =0 if s03_fumo_chiesto==3 | s03_fumo_chiesto==-99 
replace chiestosefuma_bis =. if client<4 

label define chiestosefuma_bis 1 "1 si" 0 "0 no" 
label value chiestosefuma_bis chiestosefuma_bis 

***** Definisco la variabile per i fumatori che hanno ricevuto consiglio da un sanitario di smettere 
***** categorizzo il consiglio: s/no

gen consigliosmettere_2cat =.
replace consigliosmettere_2cat =1 if s03_fumo_cons==1 | s03_fumo_cons==2 | s03_fumo_cons==3 
replace consigliosmettere_2cat =0 if s03_fumo_cons==5 | s03_fumo_cons==6

label define consigliosmettere_2cat 1 "1 si" 0 "0 no" 
label value consigliosmettere_2cat consigliosmettere_2cat 

gen consigliosmettere_bis =.
replace consigliosmettere_bis =1 if s03_fumo_cons==1 | s03_fumo_cons==2 | s03_fumo_cons==3 
replace consigliosmettere_bis =0 if s03_fumo_cons==6 | s03_fumo_cons==-99
replace consigliosmettere_bis =. if client<4 | client>8
label define consigliosmettere_bis 1 "1 si" 0 "0 no"
label value consigliosmettere_bis consigliosmettere_bis 

***** Motivo per cui i fumatori hanno ricevuto il consiglio di smettere
gen consigliosmettere =.
replace consigliosmettere =1 if s03_fumo_cons==1
replace consigliosmettere =2 if s03_fumo_cons==2
replace consigliosmettere =3 if s03_fumo_cons==3
replace consigliosmettere =4 if s03_fumo_cons==6 | s03_fumo_cons==-99
replace consigliosmettere =. if client<4 | client>8
label define consigliosmettere 1 "1 si, motivi salute" 2 "2 si, scopo preventivo" 3 "3 si, entrambe le ragioni" 4 "4 no"
label value consigliosmettere consigliosmettere 

********************************************************************************

*Nel 2010 con il cambio di questionario  cambiata anche la variabile s03_fumo_cons.
*La ricostruisco chiamandola s03_fumo_cons_2010

gen s03_fumo_cons_2010 =.
replace s03_fumo_cons_2010=1 if s03_fumo_cons==1 | (s03_sugg_op_san==1 & s03_fumo_att=="t" &  s03_smesso_tent==1)
replace s03_fumo_cons_2010=2 if s03_fumo_cons==2 | (s03_sugg_op_san==2 & s03_fumo_att=="t" &  s03_smesso_tent==1)
replace s03_fumo_cons_2010=3 if s03_fumo_cons==3 | (s03_sugg_op_san==3 & s03_fumo_att=="t" &  s03_smesso_tent==1)
replace s03_fumo_cons_2010=4 if s03_fumo_cons==4 | s03_fumo_cons==6 | (s03_sugg_op_san==4 & s03_fumo_att=="t" &  s03_smesso_tent==1)
replace s03_fumo_cons_2010=-99 if s03_fumo_cons==-99 | (s03_sugg_op_san==-99 & s03_fumo_att=="t" &  s03_smesso_tent==1)
replace s03_fumo_cons_2010=. if client <9
replace s03_fumo_cons_2010=. if anno <2010

*Ricostruisco una nuova variabile chiamata consigliosmettere_2010

***** Motivo per cui i fumatori hanno ricevuto il consiglio di smettere

gen consigliosmettere_2010=.
replace consigliosmettere_2010=1 if s03_fumo_cons_2010==1 & (s03_fumo_chiesto !=4 & s03_fumo_chiesto !=.)
replace consigliosmettere_2010=2 if s03_fumo_cons_2010==2 & (s03_fumo_chiesto !=4 & s03_fumo_chiesto !=.)
replace consigliosmettere_2010=3 if s03_fumo_cons_2010==3 & (s03_fumo_chiesto !=4 & s03_fumo_chiesto !=.)
replace consigliosmettere_2010=4 if (s03_fumo_cons_2010==4 | s03_fumo_cons_2010==-99) & (s03_fumo_chiesto !=4 & s03_fumo_chiesto !=.)
label define consigliosmettere_2010 1 "1 si, motivi salute" 2 "2 si, scopo preventivo" 3 "3 si, entrambe le ragioni" 4 "4 no"
label values consigliosmettere_2010 consigliosmettere_2010

*Ricostruisco una nuova variabile chiamata consigliosmettere_bis_2010

gen consigliosmettere_bis_2010 =.
replace consigliosmettere_bis_2010 =1 if (s03_fumo_cons_2010 ==1 | s03_fumo_cons_2010 ==2 | s03_fumo_cons_2010 ==3 ) & (s03_fumo_chiesto!=4 & s03_fumo_chiesto!=.)
replace consigliosmettere_bis_2010 =0 if (s03_fumo_cons_2010 ==4 | s03_fumo_cons_2010 ==-99) & (s03_fumo_chiesto!=4 & s03_fumo_chiesto!=.)
replace consigliosmettere_bis_2010 =. if client<9
label define consigliosmettere_bis_2010 1 "1 si" 0 "0 no"
label value consigliosmettere_bis_2010 consigliosmettere_bis_2010 

**************************

*** Genero due nuove variabili, consigliosmettere_tot e consigliosmettere_bis_tot che tiene conto delle
*** diverse versioni del questionario tra il 2008 e il 2014. Queste variabili potranno essere utilizzate per le 
*** serie storiche ma RICORDARSI DI METTERE UNA SPEZZATA IN CORRISPONDENZA DEL CAMBIO DI QUESTIONARIO.
gen consigliosmettere_tot=.
replace consigliosmettere_tot=1 if (consigliosmettere_2010==1 & client>8 & client!=.) | (consigliosmettere==1 & client>3 & client<9)
replace consigliosmettere_tot=2 if (consigliosmettere_2010==2 & client>8 & client!=.) | (consigliosmettere==2 & client>3 & client<9)
replace consigliosmettere_tot=3 if (consigliosmettere_2010==3 & client>8 & client!=.) | (consigliosmettere==3 & client>3 & client<9)
replace consigliosmettere_tot=4 if (consigliosmettere_2010==4 & client>8 & client!=.) | (consigliosmettere==4 & client>3 & client<9)

label define consigliosmettere_tot 1 "1 si, motivi salute" 2 "2 si, scopo preventivo" 3 "3 si, entrambe le ragioni" 4 "4 no"
label values consigliosmettere_tot consigliosmettere_tot


gen consigliosmettere_bis_tot=.
replace consigliosmettere_bis_tot=1 if consigliosmettere_tot==1 | consigliosmettere_tot==2 | consigliosmettere_tot==3
replace consigliosmettere_bis_tot=0 if consigliosmettere_tot==4

label define consigliosmettere_bis_tot 1 "1 si" 0 "0 no"
label value consigliosmettere_bis_tot consigliosmettere_bis_tot


*Definisco la variabile smessocome_tot che mette insieme la modalit del tentativo sia di chi ha smetto che di chi ha solo tentato
*l'indicatore non ha la modalit e-cig ed  costruito solo per le interviste fino al 2013

gen smessocome_tot=.
replace smessocome_tot=1 if s03_fumo_tent_come==1 | s03_smesso_come==1
replace smessocome_tot=2 if s03_fumo_tent_come==2 | s03_smesso_come==2
replace smessocome_tot=3 if s03_fumo_tent_come==3 | s03_smesso_come==3
replace smessocome_tot=4 if s03_fumo_tent_come==4 | s03_smesso_come==4
replace smessocome_tot=5 if s03_fumo_tent_come==5 | s03_smesso_come==5
replace smessocome_tot=6 if s03_fumo_tent_come==-99 | s03_smesso_come==-99
replace smessocome_tot=. if client>16 & client !=.
label define smessocome_tot 1 "1 corsi asl" 2"2 altri corsi" 3"3 farmaci" 4"4 da solo" 5 "5 altro" 6 "6 non so/non ricordo"
label values smessocome_tot smessocome_tot


*Definisco la variabile smessocome_tot che mette insieme la modalit del tentativo sia di chi ha smetto che di chi ha solo tentato
*l'indicatore ha la modalit e-cig ed  costruito solo per le interviste tra il 2014 e il 2015

gen smessocome_tot_2014=.
replace smessocome_tot_2014=1 if s03_fumo_tent_come==1 | s03_smesso_come==1
replace smessocome_tot_2014=2 if s03_fumo_tent_come==2 | s03_smesso_come==2
replace smessocome_tot_2014=3 if s03_fumo_tent_come==3 | s03_smesso_come==3
replace smessocome_tot_2014=4 if s03_fumo_tent_come==4 | s03_smesso_come==4
replace smessocome_tot_2014=5 if s03_fumo_tent_come==5 | s03_smesso_come==5
replace smessocome_tot_2014=6 if s03_fumo_tent_come==-99 | s03_smesso_come==-99
replace smessocome_tot_2014=7 if s03_fumo_tent_come==6 | s03_smesso_come==6
replace smessocome_tot_2014=. if (client>24  & client !=.) | (client<17 & client !=.)
label define smessocome_tot_2014 1 "1 corsi asl" 2"2 altri corsi" 3"3 farmaci" 4"4 da solo" 5 "5 altro" 6 "6 non so/non ricordo" 7"7 sigaretta elettronica"
label values smessocome_tot_2014 smessocome_tot_2014


*Definisco la variabile smessocome_tot che mette insieme la modalit del tentativo sia di chi ha smetto che di chi ha solo tentato
*l'indicatore ha la modalit e-cig ed  costruito solo per le interviste dal 2014 in poi
*

gen smessocome_tot_2016=.
replace smessocome_tot_2016=1 if s03_fumo_tent_come==1 | s03_smesso_come==1
replace smessocome_tot_2016=2 if s03_fumo_tent_come==2 | s03_smesso_come==2
replace smessocome_tot_2016=3 if s03_fumo_tent_come==3 | s03_smesso_come==3
replace smessocome_tot_2016=4 if s03_fumo_tent_come==4 | s03_smesso_come==4 | s03_smesso_come==11 | s03_fumo_tent_come==11
replace smessocome_tot_2016=5 if s03_fumo_tent_come==5 | s03_smesso_come==5 | s03_smesso_come==10 | s03_fumo_tent_come==10
replace smessocome_tot_2016=6 if s03_fumo_tent_come==-99 | s03_smesso_come==-99
replace smessocome_tot_2016=7 if s03_fumo_tent_come==6 | s03_smesso_come==6
replace smessocome_tot_2016=. if client<17 & client !=.
label define smessocome_tot_2016 1 "1 corsi asl" 2"2 altri corsi" 3"3 farmaci" 4"4 senza ausilio" 5 "5 altro" 6 "6 non so/non ricordo" 7"7 sigaretta elettronica"
label values smessocome_tot_2016 smessocome_tot_2016





***************

*Definisco la variabile tentativo di smettere in 2 categorie
***Tentativosmettere SI/NO
gen tentativosmettere_2cat=.
replace tentativosmettere_2cat=0 if s03_fumo_att=="t" & s03_smesso_tent==2
replace tentativosmettere_2cat=1 if s03_fumo_att=="t" & s03_smesso_tent==1
replace tentativosmettere_2cat=1 if s03_smesso_quando==1
replace tentativosmettere_2cat=1 if s03_smesso_quando==2
label define tentativosmettere_2cat 0 "0 mai tentato" 1 "1 tentato" 
label value tentativosmettere_2cat tentativosmettere_2cat

*Creo una variabile che descriva il tentativo di smettere di fumare negli ultimi 12 mesi
***Creo una variabile che descriva il tentativo di smettere di fumare negli ultimi 12 mesi
gen tentativosmettere=.
replace tentativosmettere=0 if s03_fumo_att=="t" & s03_smesso_tent==2
replace tentativosmettere=1 if s03_fumo_att=="t" & s03_smesso_tent==1
replace tentativosmettere=2 if s03_smesso_quando==1
replace tentativosmettere=3 if s03_smesso_quando==2
label define tentativosmettere 0 "0 mai tentato" 1 "1 tentativo fallito" 2 "2 tentativo in corso" 3 "3 tentativo riuscito"
label value tentativosmettere tentativosmettere

*Creo una variabile che descriva il tentativo di smettere di fumare negli ultimi 12 mesi, solo tra chi ha effettivamente tentato di smettere
***Creo una variabile che descriva il tentativo di smettere di fumare negli ultimi 12 mesi, solo tra chi ha effettivamente tentato di smettere
gen tentativosmettere2=tentativosmettere
replace tentativosmettere2=. if tentativosmettere==0
label define tentativosmettere2 1 "1 tentativo fallito" 2 "2 tentativo in corso" 3 "3 tentativo riuscito"
label value tentativosmettere2 tentativosmettere2

***** Definisco la variabile per le diverse modalit con cui hanno smesso di fumare gli ex-fumatori 
***** sono esclusi i fumatori in astensione da meno di sei mesi [select not s03_smesso_quando=1]
***** Questa variabile non contiene l'informazione sulla sigaretta elettronica e  costruito solo fino al 2013

gen comehasmesso =.
replace comehasmesso =1 if s03_smesso_come==1
replace comehasmesso =2 if s03_smesso_come==2
replace comehasmesso =3 if s03_smesso_come==3 
replace comehasmesso =4 if s03_smesso_come==4 
replace comehasmesso =5 if s03_smesso_come==-99
replace comehasmesso =6 if s03_smesso_come==5 
replace comehasmesso=. if client>16 & client !=.
label define comehasmesso 1 "1 servizi asl" 2 "2 servizi extra-asl" 3 "3 farmaci" 4 "4 da solo" 5"5 non ricordo" 6"6 altro"
label value comehasmesso comehasmesso 


*** Nel 2014  stata inserita tra le modalit di cessazione del fumo anche la sigaretta elettronica. 
*** Creo la variabile comehasmesso_2014 che contiene anche la sigaretta elettronica ma ha le osservazioni  si hanno solo tra il 2014 e il 2015


gen comehasmesso_2014=.
replace comehasmesso_2014 =1 if s03_smesso_come==1
replace comehasmesso_2014 =2 if s03_smesso_come==2
replace comehasmesso_2014 =3 if s03_smesso_come==3 
replace comehasmesso_2014 =4 if s03_smesso_come==4 
replace comehasmesso_2014 =5 if s03_smesso_come==-99
replace comehasmesso_2014 =6 if s03_smesso_come==5 
replace comehasmesso_2014 =7 if s03_smesso_come==6
replace comehasmesso_2014=. if (client>24 & client !=.) | (client<17 & client !=.)
label define comehasmesso_2014 1"1 servizi asl" 2 "2 servizi extra-asl" 3 "3 farmaci" 4 "4 da solo" 5"5 non ricordo" 6"6 altro" 7"7 sigaretta elettronica"
label value comehasmesso_2014 comehasmesso_2014

*** Nel 2016  stata cambiata la dicitura tra le modalit di cessazione del fumo da "da solo e per conto mio" (codice 4) a " senza alcuno di questi metodi (codice 8) 
*** Creo la variabile comehasmesso_2016 che mette insieme le due categorie

gen comehasmesso_2016=.
replace comehasmesso_2016 =1 if s03_smesso_come==1
replace comehasmesso_2016 =2 if s03_smesso_come==2
replace comehasmesso_2016 =3 if s03_smesso_come==3 
replace comehasmesso_2016 =4 if s03_smesso_come==4  | s03_smesso_come==11
replace comehasmesso_2016 =5 if s03_smesso_come==-99
replace comehasmesso_2016 =6 if s03_smesso_come==5 |  s03_smesso_come==10
replace comehasmesso_2016 =7 if s03_smesso_come==6
replace comehasmesso_2016=. if client<17 & client !=.
label define comehasmesso_2016 1"1 servizi asl" 2 "2 servizi extra-asl" 3 "3 farmaci" 4 "4 senza ausilio" 5"5 non ricordo" 6"6 altro" 7"7 sigaretta elettronica"
label value comehasmesso_2016 comehasmesso_2016


***** Fumatori attuali che hanno tentato di smettere nell'ultimo anno
***** Questa variabile non contiene l'informazione sulla sigaretta elettronica

gen tenta_smettere =.
replace tenta_smettere =1 if s03_smesso_tent==1 
replace tenta_smettere =0 if s03_smesso_tent==2 | s03_smesso_tent==-99 
label define tenta_smettere 1 "1 si" 0 "0 no" 
label value tenta_smettere tenta_smettere 

**** Modalit con cui i fumatori hanno condotto lultimo tentativo di smettere
**** questa variabile non contiene l'informazione sulla sigaretta elettronica e  costruito solo fino al 2013

gen come_ha_tentato =.
replace come_ha_tentato =1 if s03_fumo_tent_come==1 
replace come_ha_tentato =2 if s03_fumo_tent_come==2 
replace come_ha_tentato =3 if s03_fumo_tent_come==3 
replace come_ha_tentato =4 if s03_fumo_tent_come==4 
replace come_ha_tentato =5 if s03_fumo_tent_come==5 
replace come_ha_tentato =6 if s03_fumo_tent_come==-99 
replace come_ha_tentato=. if client>16 & client !=.
label define come_ha_tentato 1 "1 corsi asl" 2 "2 corsi extra-asl" 3 "3 farmaci/cerotti" 4 "4 da solo" 5"5 non ricordo" 6"6 altro"
label value come_ha_tentato come_ha_tentato 

*** Nel 2014  stata inserita tra le modalit di cessazione del fumo anche la sigaretta elettronica. 
*** Creo la variabile come_ha_tentato_2014 che contiene anche la sigaretta elettronica ma ha le osservazioni si hanno solo per il 2014 e il 2015

gen come_ha_tentato_2014 =.
replace come_ha_tentato_2014 =1 if s03_fumo_tent_come==1 
replace come_ha_tentato_2014 =2 if s03_fumo_tent_come==2 
replace come_ha_tentato_2014 =3 if s03_fumo_tent_come==3 
replace come_ha_tentato_2014 =4 if s03_fumo_tent_come==4 
replace come_ha_tentato_2014 =5 if s03_fumo_tent_come==5
replace come_ha_tentato_2014 =6 if s03_fumo_tent_come==-99 
replace come_ha_tentato_2014 =7 if s03_fumo_tent_come==6 
replace come_ha_tentato_2014=. if (client>24 & client !=.) | (client<17 & client !=.)
label define come_ha_tentato_2014 1 "1 corsi asl" 2 "2 corsi extra-asl" 3 "3 farmaci/cerotti" 4 "4 da solo" 5"5 non ricordo" 6"6 altro" 7"7 sigaretta elettronica"
label value come_ha_tentato_2014 come_ha_tentato_2014

*** Nel 2016  stata cambiata la dicitura tra le modalit di cessazione del fumo da "da solo e per conto mio" (codice 4) a " senza alcuno di questi metodi (codice 8) 
*** Creo la variabile comehasmesso_2016 che mette insieme le due categorie  ed  calcolata per le interviste dal 2014 in poi

gen come_ha_tentato_2016=.
replace come_ha_tentato_2016 =1 if s03_fumo_tent_come==1
replace come_ha_tentato_2016 =2 if s03_fumo_tent_come==2
replace come_ha_tentato_2016 =3 if s03_fumo_tent_come==3 
replace come_ha_tentato_2016 =4 if s03_fumo_tent_come==4 | s03_fumo_tent_come==11
replace come_ha_tentato_2016 =5 if s03_fumo_tent_come==5 | s03_fumo_tent_come==10
replace come_ha_tentato_2016 =6 if s03_fumo_tent_come==-99
replace come_ha_tentato_2016 =7 if s03_fumo_tent_come==6
replace come_ha_tentato_2016=. if client<17 & client !=.
label define come_ha_tentato_2016 1"1 servizi asl" 2 "2 servizi extra-asl" 3 "3 farmaci" 4 "4 senza ausilio" 5"5 non ricordo" 6"6 altro" 7"7 sigaretta elettronica"
label value come_ha_tentato_2016 come_ha_tentato_2016



****************************************************************************************** FUMO PASSIVO ***** 

***** Fumo e abitazione

***** Numeratore: rispondenti alla domanda 3.10 = s [s03_fumo_casa=2 . S, in alcune stanze o situazioni o s03_fumo_casa=3 . S,  dappertutto)
***** Denominatore: rispondenti alla domanda 3.10 escluso chi risponde Non so, non sono sicuro

gen fumocasa = .
replace fumocasa=1 if s03_fumo_casa==1
replace fumocasa=2 if s03_fumo_casa==2
replace fumocasa=3 if s03_fumo_casa==3
label define fumocasa 1 "1 non si fuma" 2 "2 si fuma solo certe situazioni" 3 "3 si fuma sempre"
label value fumocasa fumocasa


gen fumocasa_2cat = .
replace fumocasa_2cat=1 if s03_fumo_casa==1
replace fumocasa_2cat=0 if s03_fumo_casa==2 | s03_fumo_casa==3

label define fumocasa_2cat 1 "1 mai" 0 "2 si puo fumare" 
label value fumocasa_2cat fumocasa_2cat 


***** Percezione della frequenza di applicazione della legge sul divieto di fumo nei locali pubblici nel mese precedente lintervista

gen risp_divieto_in_locali =.
replace risp_divieto_in_locali =1 if s03_fumo_pubblico == 1
replace risp_divieto_in_locali =2 if s03_fumo_pubblico == 2
replace risp_divieto_in_locali =3 if s03_fumo_pubblico == 3
replace risp_divieto_in_locali =4 if s03_fumo_pubblico == 4
replace risp_divieto_in_locali =5 if s03_fumo_pubblico == 5
replace risp_divieto_in_locali =6 if s03_fumo_pubblico == -99
label define risp_divieto_in_locali 1 "1 rispettato sempre" 2 "2 rispettato quasi sempre" 3 "3 rispettato a volte" 4 "4 rispettato mai" 5"5 non frequenza locali" 6"6 non so/non ricordo"
label value risp_divieto_in_locali risp_divieto_in_locali 

***** variabile dicotomica: escludo chi non ha frequentato locali pubblici negli ultimi 30 giorni [s03_fumo_pubblico=5] e chi non sa/non ricorda [s03_fumo_pubblico=-99]

gen risp_div_locali_2cat =.
replace risp_div_locali_2cat =1 if s03_fumo_pubblico==1 | s03_fumo_pubblico==2 
replace risp_div_locali_2cat =0 if s03_fumo_pubblico==3 | s03_fumo_pubblico==4 
label define risp_div_locali_2cat 1 "1 si" 0 "0 no"
label value risp_div_locali_2cat risp_div_locali_2cat 

gen risp_div_locali_sempre =.
replace risp_div_locali_sempre =1 if s03_fumo_pubblico==1 
replace risp_div_locali_sempre =0 if s03_fumo_pubblico==2 | s03_fumo_pubblico==3 | s03_fumo_pubblico==4 
label define risp_div_locali_sempre 1 "1 si" 0 "0 no"
label value risp_div_locali_sempre risp_div_locali_sempre 


***** Percezione della frequenza di applicazione della legge sul divieto di fumo sul luogo di lavoro

***** Numeratore: rispondenti alla domanda 3.13 (s03_fumo_lavoro) 
***** Denominatore: rispondenti alla domanda 3.12=1 (s  lavoro in ambiente chiuso) escluso le persone che rispondono di lavorare da soli (not 3.13.=5) 

gen risp_divieto_su_lavoro =.
replace risp_divieto_su_lavoro =1 if s03_fumo_lavoro==1
replace risp_divieto_su_lavoro =2 if s03_fumo_lavoro==2
replace risp_divieto_su_lavoro =3 if s03_fumo_lavoro==3
replace risp_divieto_su_lavoro =4 if s03_fumo_lavoro==4
replace risp_divieto_su_lavoro =5 if s03_fumo_lavoro==5
replace risp_divieto_su_lavoro =6 if s03_fumo_lavoro==-99
label define risp_divieto_su_lavoro 1 "1 rispettato sempre" 2 "2 rispettato quasi sempre" 3 "3 rispettato a volte" 4 "4 rispettato mai" 5"5 lavoro da solo" 6"6 non so/non ricordo"
label value risp_divieto_su_lavoro risp_divieto_su_lavoro 


gen risp_divieto_su_lavoro_2cat =.
replace risp_divieto_su_lavoro_2cat =1 if s03_fumo_lavoro ==1 | s03_fumo_lavoro ==2 
replace risp_divieto_su_lavoro_2cat =0 if s03_fumo_lavoro ==3 | s03_fumo_lavoro ==4 
label define risp_divieto_su_lavoro_2cat 1 "1 si" 0 "0 no"
label value risp_divieto_su_lavoro_2cat risp_divieto_su_lavoro_2cat 

gen risp_divieto_su_lavoro_sempre =.
replace risp_divieto_su_lavoro_sempre =1 if s03_fumo_lavoro==1 
replace risp_divieto_su_lavoro_sempre =0 if s03_fumo_lavoro==2 | s03_fumo_lavoro==3 | s03_fumo_lavoro==4 
label define risp_divieto_su_lavoro_sempre 1 "1 si" 0 "0 no"
label value risp_divieto_su_lavoro_sempre risp_divieto_su_lavoro_sempre 


******************************************************************

***Genero le variabile sulle sigarette elettroniche

gen ecig_3cat=s03_uso_ecig
label define ecig_3cat 1"1 si" 2"2 no" 3"3 non so cosa sono"
label value ecig_3cat ecig_3cat

gen ecig_2cat=.
replace ecig_2cat=0 if s03_uso_ecig==2 | s03_uso_ecig==3
replace ecig_2cat=1 if s03_uso_ecig==1
label define ecig_2cat 1"1 si" 0"0 no" 
label value ecig_2cat ecig_2cat

gen ecig_tipo=.
replace ecig_tipo=s03_ecig_nicotina if anno<2018
replace ecig_tipo=1 if s03_sig_elett_nicotina =="t" & anno>2017
replace ecig_tipo=2 if s03_sig_elett_no_nicotina=="t" & anno>2017
replace ecig_tipo=3 if s03_sig_elett_nicotina =="t" & s03_sig_elett_no_nicotina=="t" & anno>2017
label define ecig_tipo 1"1 con nicotina" 2"2 senza nicotina" 3"3 entrambe"
label value ecig_tipo ecig_tipo

gen iqos=.
replace iqos=1 if s03_sig_elett_iqos=="t"
replace iqos=0 if s03_sig_elett_iqos=="" & anno>2017
label define iqos 1"1 si" 0"0 no"
label value iqos iqos


********************* SIGARETTE FATTE A MANO

***** variabile che dice quante sigarette a mano fanno i fumatori (4 cat)
***** escludo i non so

gen sig_mano=.
replace sig_mano=1 if s03_quante_sig_mano==1
replace sig_mano=2 if s03_quante_sig_mano==2
replace sig_mano=3 if s03_quante_sig_mano==3
replace sig_mano=4 if s03_quante_sig_mano==4

label define sig_mano 1 "1 nessuna" 2 "2 qualcuna" 3 "3 piu della meta" 4 "4 tutte o quasi"
label value sig_mano sig_mano


***** variabile che identifica i fumatori che fanno sigarette a mano (2 cat: si/no)
***** escludo i non so

gen sig_mano_2cat=.
replace sig_mano_2cat=0 if s03_quante_sig_mano==1 
replace sig_mano_2cat=1 if s03_quante_sig_mano==2 | s03_quante_sig_mano==3 | s03_quante_sig_mano==4

label define sig_mano_2cat 1 "1 si" 0 "0 no"
label value sig_mano_2cat sig_mano_2cat


***** variabile che dice quante sigarette a mano fanno i fumatori (3 cat)
***** escludo i non so

gen sig_mano_3cat=.
replace sig_mano_3cat=1 if s03_quante_sig_mano==1 
replace sig_mano_3cat=2 if s03_quante_sig_mano==2
replace sig_mano_3cat=3 if s03_quante_sig_mano==4 | s03_quante_sig_mano==3

label define sig_mano_3cat 1 "1 nessuna" 2 "2 qualcuna" 3 "3 piu della meta/tutte"
label value sig_mano_3cat sig_mano_3cat

***********************************************************************************************************

***********************************************
**********Variabili sui pittogrammi
*********************************************


*******creo le varibili dalla domanda quanto ha notato le avvertenze sui pacchetti

gen avvertenze_notate=.
replace avvertenze_notate=1 if s03_fumo_avvertenze_notate==1
replace avvertenze_notate=2 if s03_fumo_avvertenze_notate==2
replace avvertenze_notate=3 if s03_fumo_avvertenze_notate==3
replace avvertenze_notate=4 if s03_fumo_avvertenze_notate==4
replace avvertenze_notate=5 if s03_fumo_avvertenze_notate==-99
label define avvertenze_notate 1 "1 molto spesso" 2 "2 spesso" 3 "3 qualche volta" 4"4 mai" 5"5 non so/non ricordo"
label value avvertenze_notate avvertenze_notate


gen avvertenze_notate_3cat=.
replace avvertenze_notate_3cat=1 if s03_fumo_avvertenze_notate==1 | s03_fumo_avvertenze_notate==2
replace avvertenze_notate_3cat=2 if s03_fumo_avvertenze_notate==3
replace avvertenze_notate_3cat=3 if s03_fumo_avvertenze_notate==4 | s03_fumo_avvertenze_notate==-99
label define avvertenze_notate_3cat 1 "1 spesso/molto spesso" 2"2 qualche volta" 3"3 mai/non so/non ricordo"
label value avvertenze_notate_3cat avvertenze_notate_3cat

***creo la dicotomica con si=spesso/molto spesso contro tutto il resto =0

gen avvertenze_notate_2cat=.
replace avvertenze_notate_2cat=1 if s03_fumo_avvertenze_notate==1 | s03_fumo_avvertenze_notate==2 | s03_fumo_avvertenze_notate==3 
replace avvertenze_notate_2cat=0 if s03_fumo_avvertenze_notate==4 | s03_fumo_avvertenze_notate==-99
label define avvertenze_notate_2cat 1 "1 si" 0"0 no"
label value avvertenze_notate_2cat avvertenze_notate_2cat


gen avvertenze_notate_spesso=.
replace avvertenze_notate_spesso=1 if s03_fumo_avvertenze_notate==1 | s03_fumo_avvertenze_notate==2 
replace avvertenze_notate_spesso=2 if s03_fumo_avvertenze_notate==3 | s03_fumo_avvertenze_notate==4 | s03_fumo_avvertenze_notate==-99
label define avvertenze_notate_spesso 1 "1 si, spesso molto spesso" 0 "0 no"
label value avvertenze_notate_spesso avvertenze_notate_spesso



************creo le varibili dalla domanda se  capitato di rinunciare a una sigaretta perch ha notato le avvertenze sui pacchetti

gen avvertenze_rinuncia=.
replace avvertenze_rinuncia=1 if s03_fumo_avvertenze_rinuncia==1
replace avvertenze_rinuncia=2 if s03_fumo_avvertenze_rinuncia==2
replace avvertenze_rinuncia=3 if s03_fumo_avvertenze_rinuncia==3
replace avvertenze_rinuncia=4 if s03_fumo_avvertenze_rinuncia==4
replace avvertenze_rinuncia=5 if s03_fumo_avvertenze_rinuncia==-99
label define avvertenze_rinuncia 1 "1 molto spesso" 2 "2 spesso" 3 "3 qualche volta" 4"4 mai" 5"5 non so/non ricordo"
label value avvertenze_rinuncia avvertenze_rinuncia

gen avvertenze_rinuncia_3cat=.
replace avvertenze_rinuncia_3cat=1 if s03_fumo_avvertenze_rinuncia==1 | s03_fumo_avvertenze_rinuncia==2 
replace avvertenze_rinuncia_3cat=2 if s03_fumo_avvertenze_rinuncia==3
replace avvertenze_rinuncia_3cat=3 if s03_fumo_avvertenze_rinuncia==4 | s03_fumo_avvertenze_rinuncia==-99
label define avvertenze_rinuncia_3cat 1 "1 molto spesso/spesso" 2 "2 qualche volta" 3 "3 mai/non so/non ricordo"
label value avvertenze_rinuncia_3cat avvertenze_rinuncia_3cat

gen avvertenze_rinuncia_spesso=.
replace avvertenze_rinuncia_spesso=1 if s03_fumo_avvertenze_rinuncia==1 | s03_fumo_avvertenze_rinuncia==2 
replace avvertenze_rinuncia_spesso=2 if s03_fumo_avvertenze_rinuncia==3 | s03_fumo_avvertenze_rinuncia==4 | s03_fumo_avvertenze_rinuncia==-99
label define avvertenze_rinuncia_spesso 1 "1 si, spesso molto spesso" 0 "0 no"
label value avvertenze_rinuncia_spesso avvertenze_rinuncia_spesso


***** costruisco la variabile di chi ha rinunciatro almeno una volta dopo aver visto le avvertenze

gen avvertenze_rinuncia_2cat=.
replace avvertenze_rinuncia_2cat=1 if s03_fumo_avvertenze_rinuncia==1 | s03_fumo_avvertenze_rinuncia==2 | s03_fumo_avvertenze_rinuncia==3
replace avvertenze_rinuncia_2cat=0 if s03_fumo_avvertenze_rinuncia==4 | s03_fumo_avvertenze_rinuncia==-99
label define avvertenze_rinuncia_2cat 1 "1 si" 0"0 no"
label value avvertenze_rinuncia_2cat avvertenze_rinuncia_2cat


****** metto tutte le variabili sul fumo missing se l'intervistatrice  la Di Marco Di Bologna
****** (forte effetto intervistatore: non trova ex fumatore, ma solo fumatori o non fumatori)

foreach var of varlist  abitudinefumo-sig_mano_3cat{
                replace `var'=. if nome_intervistatore=="DI MARCO" & asl==80105
}

