
***Patologie croniche

***Definisco le diverse patologie croniche
gen diabete0810=.
replace diabete0810=1 if s01_diabete=="t"
replace diabete0810=0 if s01_diabete=="f"
replace diabete0810=. if client>10

gen diabete1112=.
replace diabete1112=1 if s07_diab_diagnosi==1
replace diabete1112=0 if s07_diab_diagnosi==2 | s07_diab_diagnosi==-99
replace diabete1112=. if client <11 & client>16

gen diabete13=.
replace diabete13=0 if s01_diabete=="f" | s07_diab_diagnosi==2 | s07_diab_diagnosi==-99
replace diabete13=1 if s01_diabete=="t" | s07_diab_diagnosi==1 
replace diabete13=. if client <17

gen diabete_2014=.
replace diabete_2014=diabete0810 if client<11
replace diabete_2014=diabete1112 if client>10 & client <17
replace diabete_2014=diabete13 if client>16
label define diabete_2014 1 "1 si" 0 "0 no"
label value diabete_2014 diabete_2014

drop diabete0810 diabete1112 diabete13

gen insuff_renale=.
replace insuff_renale=1 if s01_insuff_renale=="t"
replace insuff_renale=0 if s01_insuff_renale=="f"
label define insuff_renale 0"0 no" 1"1 si"
label value insuff_renale insuff_renale

gen tumori=.
replace tumori=1 if s01_tumori=="t"
replace tumori=0 if s01_tumori=="f"
label define tumori 0"0 no" 1"1 si"
label value tumori tumori

gen ima = .
replace ima = 1 if s01_ima=="t"
replace ima = 0 if s01_ima=="f"
label define ima 0"0 no" 1"1 si"
label value ima ima
                            
gen bronchi = .
replace bronchi = 1 if s01_bronchite=="t"
replace bronchi = 0 if s01_bronchite=="f"
label define bronchi 0"0 no" 1"1 si"
label value bronchi bronchi

gen mal_fegato=.
replace mal_fegato=1 if s01_malattie_croniche=="t"
replace mal_fegato=0 if s01_malattie_croniche=="f"
label define mal_fegato 0"0 no" 1"1 si"
label values mal_fegato mal_fegato

gen ictus=.
replace ictus=1 if s01_ictus=="t"
replace ictus=0 if s01_ictus=="f"
label define ictus 0"0 no" 1"1 si"
label values ictus ictus

gen asma=.
replace asma=1 if s01_asma_bronchiale=="t"
replace asma=0 if s01_asma_bronchiale=="f"
label define asma 0"0 no" 1"1 si"
label values asma asma

gen altre_malattie_cuore=.
replace altre_malattie_cuore=1 if s01_altre_malattie_cuore=="t"
replace altre_malattie_cuore=0 if s01_altre_malattie_cuore=="f"
label define altre_malattie_cuore 0"0 no" 1"1 si"
label values altre_malattie_cuore altre_malattie_cuore

***** Genero bronchite e asma come unica entit nosologica
gen broncasma = 0
replace broncasma = 1 if asma == 1 | bronchi == 1
replace broncasma = . if asma == . & bronchi == .

***** Genero malattie cardiocerebrovascolari come unica entit nosologica
gen cardiocebrovasc =0
replace cardiocebrovasc = 1 if ima == 1 | ictus== 1 | altre_malattie_cuore== 1
replace cardiocebrovasc = . if ima == . & ictus== . & altre_malattie_cuore== .

***** Genero malattie cardiovascolari come unica entit nosologica. 
***** Non la uso qui ma la rendo disponibile nel questionario
gen cardiovasc =0
replace cardiovasc = 1 if ima == 1 | altre_malattie_cuore== 1
replace cardiovasc = . if ima == . & altre_malattie_cuore== .

***** Genero una variabile che conta il numero di patologie croniche tra diabete, insufficienza renale, 
***** mal resp. croniche, ima, tumori, malattie croniche del fegato, ictus e altre malattie del cuore
egen tot_pat_cron = rowtotal (diabete_2014 insuff_renale tumori ima bronchi mal_fegato ictus asma altre_malattie_cuore), m

***** Definisco la variabile patologia2cat_2014 per sapere se l'intervistato  affetto da almeno una patologia
gen patologia2cat_2014=.
replace patologia2cat_2014=0 if tot_pat_cron==0
replace patologia2cat_2014=1 if tot_pat_cron>0 & tot_pat_cron !=.
label define patologia2cat_2014 1 "1 almeno 1 patologia" 0 "0 nessuna patologia"
label value patologia2cat_2014 patologia2cat_2014


***Genero la variabile policronici (2 o pi patologie croniche tra diabete, insufficienza renale, tumori, malattie del fegato,
***asma e bronchite come unica entit nosologica, malattie cardiocerebrovascolari come unica entit nosologica
egen tot_mal_cron = rowtotal (diabete_2014 insuff_renale broncasma cardiocebrovasc tumori mal_fegato), m

gen policronici=.
replace policronici=0 if tot_mal_cron==0 | tot_mal_cron==1
replace policronici=1 if tot_mal_cron>1 & tot_mal_cron !=.
label define policronici 0"0 0-1 patologia" 1"1 almeno 2 patologie"
label values policronici policronici

gen patologia3cat=.
replace patologia3cat=0 if tot_pat_cron==0
replace patologia3cat=1 if tot_pat_cron==1
replace patologia3cat=2 if tot_pat_cron>1 & tot_pat_cron !=.
label define patologia3cat 0"0_nessuna patologia" 1"1_1 patologia"  2"2_almeno 2 patologie"
label value patologia3cat patologia3cat

*************************************************************************************

***Genero la nuova variabile atrosi
gen artrosi=.
replace artrosi=1 if s01_artrosi=="t"
replace artrosi=0 if s01_artrosi=="f"
label define artrosi 0"0 no" 1"1 si"
label values artrosi artrosi


gen patologia2cat_2014_inv=.
replace patologia2cat_2014_inv=1 if patologia2cat_2014==0
replace patologia2cat_2014_inv=0 if patologia2cat_2014==1
label define patologia2cat_2014_inv 1 "1 nessuna patologia" 0 "0 almeno 1 patologia"
label value patologia2cat_2014_inv patologia2cat_2014_inv 

gen patologia2cat=.
replace patologia2cat=0 if tot_pat_cron==0
replace patologia2cat=1 if tot_pat_cron==1
replace patologia2cat=2 if tot_mal_cron>1 & tot_mal_cron !=.
label define patologia2cat 0"0_nessuna patologia" 1"1_1 patologia"  2"2_almeno 2 patologie"
label value patologia2cat patologia2cat

