***VARIABILI SALUTE MENTALE

***la definizione di depressione utilizzando il PHQ-2  basata 
***su uno score che va da 0-6.  Per arrivare allo score, dobbiamo 
***prima ricodificare il numero di giorni per 
***ciascuna delle due variabili utilizzando le categorie suggerite dal CDC:
gen vivesolo=0
replace vivesolo=1 if s14_con_nes=="t"
replace vivesolo=. if s14_con_nes=="" & s14_con_anz=="" & s14_con_bamb=="" & s14_con_coni=="" & s14_con_giov_ad==""
label define vivesolo 0 "0 no" 1 "1 si"
label value vivesolo vivesolo

* classi 'gi di morale'
gen giumoralegg=.
replace giumoralegg=0 if s12_giu_morale_gg==0 | s12_giu_morale_gg==1
replace giumoralegg=1 if s12_giu_morale_gg==2 | s12_giu_morale_gg==3 | s12_giu_morale_gg==4 | s12_giu_morale_gg==5 | s12_giu_morale_gg==6
replace giumoralegg=2 if s12_giu_morale_gg==7 | s12_giu_morale_gg==8 | s12_giu_morale_gg==9 | s12_giu_morale_gg==10 | s12_giu_morale_gg==11
replace giumoralegg=3 if s12_giu_morale_gg==12 | s12_giu_morale_gg==13 | s12_giu_morale_gg==14  

* classi 'poco interessato'
gen pocointergg=.
replace pocointergg=0 if s12_poco_inter_gg==0 | s12_poco_inter_gg==1
replace pocointergg=1 if s12_poco_inter_gg==2 | s12_poco_inter_gg==3 | s12_poco_inter_gg==4 | s12_poco_inter_gg==5 | s12_poco_inter_gg==6
replace pocointergg=2 if s12_poco_inter_gg==7 | s12_poco_inter_gg==8 | s12_poco_inter_gg==9 | s12_poco_inter_gg==10 | s12_poco_inter_gg==11
replace pocointergg=3 if s12_poco_inter_gg==12 | s12_poco_inter_gg==13 | s12_poco_inter_gg==14 

***per arrivare allo score,  necessario fare la somma:
gen sumdepress = pocointergg + giumoralegg

***utilizzando i criteri suggeriti da chi ha sviluppato
***il PHQ-2, definiamo la depressione:
gen depressione=.
replace depressione=1 if sumdepress > 2 & sumdepress != .
replace depressione=0 if sumdepress>=0 & sumdepress<3 & sumdepress != .
label define depressione 0 "0 non depresso" 1 "1 depresso"
label value depressione depressione

***definiamo lo stato di salute

gen statosalute=.
replace statosalute=2 if (s01_salute >2 & s01_salute !=.)
replace statosalute=1 if (s01_salute >=0 & s01_salute <3 & s01_salute !=.)
label define statosalute 1 "1 buono/molto buono" 2 "2 discreto/male/molto male"
label value statosalute statosalute

**eliminiamo missing giorni in cattiva salute
gen salute_fis=s01_salute_fis
replace salute_fis=. if s01_salute_fis==-99

gen salute_psic=s01_salute_psic
replace salute_psic=. if s01_salute_psic==-99

gen abit_attiv=s01_abit_attiv
replace abit_attiv=. if s01_abit_attiv==-99

***definiamo se le persone si sono rivolte o no a qualcuno:

gen aiuto_da_qualcuno=.
replace aiuto_da_qualcuno=1 if s12_aiuto_fiducia== "t" | s12_aiuto_sanit== "t"
replace aiuto_da_qualcuno=0 if s12_aiuto_no== "t" | s12_aiuto_non_ric== "t"
label define aiuto_da_qualcuno 1 "1 ha cercato aiuto" 0 "0 non ha cercato aiuto"
label value aiuto_da_qualcuno aiuto_da_qualcuno

**definiamo le categorie chiaiuto:  a chi si sono rivolte le persone **depresse (categorie mutualmente esclusive)
*** ricodifica necessaria per utilizzare &

gen aiuto_fiducia=s12_aiuto_fiducia if depressione==1
replace aiuto_fiducia="f" if s12_aiuto_fiducia=="" & depressione==1 
replace aiuto_fiducia="" if depressione==1 & s12_aiuto_sanit=="" & s12_aiuto_fiducia=="" & s12_aiuto_no=="" & s12_aiuto_non_ric==""

gen aiuto_sanit=s12_aiuto_sanit if depressione==1
replace aiuto_sanit="f" if s12_aiuto_sanit==""  & depressione==1
replace aiuto_sanit="" if depressione==1 & s12_aiuto_sanit=="" & s12_aiuto_fiducia=="" & s12_aiuto_no=="" & s12_aiuto_non_ric==""

**** per capire chi ha ricevuto aiuto da piu di una fonte

gen fonteaiuto=aiuto_sanit+aiuto_fiducia if depressione==1

**** per creare categorie mutualmente esclusive (nessuno, familiari, 
**** medico

gen chiaiuto=4 if fonteaiuto=="ff"
replace chiaiuto=1 if fonteaiuto=="tf"
replace chiaiuto=2 if fonteaiuto=="ft"
replace chiaiuto=3 if fonteaiuto=="tt"

label define chiaiuto 1 "medico/operatore sanitario" 2 "familiari" 3 "entrambi" 4 "nessuno"
label value chiaiuto chiaiuto

recode chiaiuto (1 3 = 1) (2 4 = 0) (. = .), gen(aiuto_medico)
