***** definisco la Popolazione pi a rischio di infortunio domestico
***** (presenza di anziani o bambini)

gen poprischio=.
replace poprischio=2 if s14_con_nes=="t" | s14_con_coni=="t" | s14_con_giov_ad=="t"
replace poprischio=1 if s14_con_bamb=="t" | s14_con_anz=="t"
label define poprischio 1"1 anziani/bambini" 2"2 no anziani/bambini"
label values poprischio poprischio

***** Definisco la variabile PossInfort2Cat per indicare la 
***** percezione del rischio (possibilit di subire un infortunio
***** domestico in 2 Categorie)

gen possinfortd2cat=.
replace possinfortd2cat=2 if s13_infort_poss==1 | s13_infort_poss==2
replace possinfortd2cat=1 if s13_infort_poss==3 | s13_infort_poss==4
label define possinfortd2cat 1"1 alta/molto alta" 2"2 assente/bassa"
label values possinfortd2cat possinfortd2cat

***** creo la var bassapercezrl per la logistica

gen bassapercezrl=.
replace bassapercezrl=1 if s13_infort_poss==1 | s13_infort_poss==2
replace bassapercezrl=0 if s13_infort_poss==3 | s13_infort_poss==4
label define bassapercezrl 1"1 si" 0"0 no"
label values bassapercezrl bassapercezrl

*****Definisco la variabile infortunio
gen infortunio=.
replace infortunio=1 if s13_infortunio==1
replace infortunio=0 if s13_infortunio==2 | s13_infortunio==-99
label define infortunio 1"1 si" 0"0 no"
label values infortunio infortunio

***** Ricodifico la variabile InformInfortunio che indica se ha 
***** ricevuto informazioni sulla prevenzione degli infortuni 
***** domestici
***** Il "Non so" rappresentato dal -99 lo considero come un no

gen informinfortunio=.
replace informinfortunio=1 if s13_infort_inform==1
replace informinfortunio=0 if s13_infort_inform==2 | s13_infort_inform==-99
label define informinfortunio 1"1 si" 0"0 no"
label values informinfortunio informinfortunio


***** Ricodifico le variabili dei soggetti che danno informazioni
***** sulla prevenzione degli infortuni domestici

gen massmedia=0
replace massmedia=1 if s13_inform_mm=="t"
replace massmedia=. if s13_inform_mm=="" & s13_inform_opus=="" & s13_inform_tecn=="" & s13_inform_med=="" & s13_inform_pare_ami==""
replace massmedia=. if informinfortunio==0 | informinfortunio==.
label define massmedia 1"1 si" 0"0 no"
label values massmedia massmedia

gen opuscoli=0
replace opuscoli=1 if s13_inform_opus=="t"
replace opuscoli=. if s13_inform_mm=="" & s13_inform_opus=="" & s13_inform_tecn=="" & s13_inform_med=="" & s13_inform_pare_ami==""
replace opuscoli=. if informinfortunio==0 | informinfortunio==.
label define opuscoli 1"1 si" 0"0 no"
label values opuscoli opuscoli


gen tecnici=0
replace tecnici=1 if s13_inform_tecn=="t"
replace tecnici=. if s13_inform_mm=="" & s13_inform_opus=="" & s13_inform_tecn=="" & s13_inform_med=="" & s13_inform_pare_ami==""
replace tecnici=. if informinfortunio==0 | informinfortunio==.
label define tecnici 1"1 si" 0"0 no"
label values tecnici tecnici

gen medicialtrosan=0
replace medicialtrosan=1 if s13_inform_med=="t"
replace medicialtrosan=. if s13_inform_mm=="" & s13_inform_opus=="" & s13_inform_tecn=="" & s13_inform_med=="" & s13_inform_pare_ami==""
replace medicialtrosan=. if informinfortunio==0 | informinfortunio==.
label define medicialtrosan 1"1 si" 0"0 no"
label values medicialtrosan medicialtrosan

gen parenti=0
replace parenti=1 if s13_inform_pare_ami=="t"
replace parenti=. if s13_inform_mm=="" & s13_inform_opus=="" & s13_inform_tecn=="" & s13_inform_med=="" & s13_inform_pare_ami==""
replace parenti=. if informinfortunio==0 | informinfortunio==.
label define parenti 1"1 si" 0"0 no"
label values parenti parenti

***** Ricodifico la variabile ModifComportSD4cat che indica i 
***** cambiamenti di comportamento in seguito a informazioni con 
***** tutte le 4 categorie il non so  da definire nel GT

***** NB. utile per stimare la percentuale di misure gi adottate ma
***** non va nel rapporto standard 

gen modifcomportsd4cat=.
replace modifcomportsd4cat=1 if s13_sicur_abit==1 
replace modifcomportsd4cat=2 if s13_sicur_abit==2 
replace modifcomportsd4cat=3 if s13_sicur_abit==3 
replace modifcomportsd4cat=4 if s13_sicur_abit==-99 
label define modifcomportsd4cat 1"1 si" 2"2 no" 3"3 no gia attuate misure" 4"4 non so"
label values modifcomportsd4cat modifcomportsd4cat
	
***** Ricodifico la variabile ModifComportSD2cat che indica i 
***** Escludo dal denominatore i non so/non ricordo e chi dice no 
***** perch ha gi attuato le misure di sicurezza necessarie, perch
***** sono interessato solo a vedere gli interventi

gen modifcomportsd2cat=.
replace modifcomportsd2cat=1 if s13_sicur_abit==1 
replace modifcomportsd2cat=0 if s13_sicur_abit==2 
replace modifcomportsd2cat =(.) if s13_sicur_abit==3 
replace modifcomportsd2cat =(.) if s13_sicur_abit==-99 
label define modifcomportsd2cat 1"1 si" 0"0 no"
label values modifcomportsd2cat modifcomportsd2cat
	
