
gen avuto_covid=.
replace avuto_covid=1 if s01_covid19=="t"
replace avuto_covid=0 if s01_covid19=="f"
label define avuto_covid 1"1-si" 0"0-no" 
label values avuto_covid avuto_covid


gen risorse_covid=.
replace risorse_covid=1 if s14_covid19_risorse_finanziarie==1
replace risorse_covid=2 if s14_covid19_risorse_finanziarie==2
replace risorse_covid=3 if s14_covid19_risorse_finanziarie==3
label define risorse_covid 1"1-migliorate" 2"2-peggiorate" 3"3-invariate"
label values risorse_covid risorse_covid


gen risorse_peggiorate=.
replace risorse_peggiorate=1 if s14_covid19_risorse_finanziarie==2
replace risorse_peggiorate=0 if s14_covid19_risorse_finanziarie==1 | s14_covid19_risorse_finanziarie==3
label define risorse_peggiorate 1"1-si" 0"0-no"
label values risorse_peggiorate risorse_peggiorate

gen lutti=.
replace lutti=1 if s14_covid19_lutti==1
replace lutti=0 if s14_covid19_lutti==2 | s14_covid19_lutti==-99
label define lutti 1"1-si" 0"0-no"
label values lutti lutti

egen float quanti_positivi= rowtotal (s14_covid19_positivi_conviventi s14_covid19_positivi_non_convive s14_covid19_positivi_colleghi s14_covid19_positivi_conoscenti_)

gen s14_covid19_positivi= .
replace s14_covid19_positivi=1 if quanti_positivi>=1 & quanti_positivi!=.
replace s14_covid19_positivi=0 if s14_covid19_positivi_no==1
replace s14_covid19_positivi=-99 if s14_covid19_positivi_non_so_non_==1

gen conosce_positivi=. 
replace conosce_positivi=1 if s14_covid19_positivi==1
replace conosce_positivi=0 if s14_covid19_positivi==0
label define conosce_positivi 1"1-si" 0 "0-no"
label values conosce_positivi conosce_positivi

gen positivi_conviventi=. 
replace positivi_conviventi=1 if s14_covid19_positivi_conviventi==1
replace positivi_conviventi=0 if s14_covid19_positivi_no==1
label define positivi_conviventi 1"1-si" 0 "0-no"
label values positivi_conviventi positivi_conviventi


gen positivi_nonconviventi=. 
replace positivi_nonconviventi=1 if s14_covid19_positivi_non_convive==1
replace positivi_nonconviventi=0 if s14_covid19_positivi_no==1
label define positivi_nonconviventi 1"1-si" 0 "0-no"
label values positivi_nonconviventi positivi_nonconviventi


gen positivi_colleghi=. 
replace positivi_colleghi=1 if s14_covid19_positivi_colleghi==1
replace positivi_colleghi=0 if s14_covid19_positivi_no==1
label define positivi_colleghi 1"1-si" 0 "0-no"
label values positivi_colleghi positivi_colleghi


gen positivi_conoscenti=. 
replace positivi_conoscenti=1 if s14_covid19_positivi_conoscenti_==1
replace positivi_conoscenti=0 if s14_covid19_positivi_no==1
label define positivi_conoscenti 1"1-si" 0 "0-no"
label values positivi_conoscenti positivi_conoscenti


gen quarantena=. 
replace quarantena=1 if s14_covid19_quarantena==1
replace quarantena=0 if s14_covid19_quarantena==2
label define quarantena 1"1-si" 0"0-no"
label values quarantena quarantena

gen possib_ammalarsi_tot=.
replace possib_ammalarsi_tot=1 if s14_covid19_possibilita_ammalars==1
replace possib_ammalarsi_tot=2 if s14_covid19_possibilita_ammalars==2
replace possib_ammalarsi_tot=3 if s14_covid19_possibilita_ammalars==3
replace possib_ammalarsi_tot=4 if s14_covid19_possibilita_ammalars==4
replace possib_ammalarsi_tot=5 if s14_covid19_possibilita_ammalars==-99
label define possib_ammalarsi_tot 1"1-molto" 2"2-abbastanza" 3"3-poco" 4"4-per niente" 5"5-non so"
label values possib_ammalarsi_tot possib_ammalarsi_tot

gen possib_ammalarsi=.
replace possib_ammalarsi=1 if s14_covid19_possibilita_ammalars==1
replace possib_ammalarsi=2 if s14_covid19_possibilita_ammalars==2
replace possib_ammalarsi=3 if s14_covid19_possibilita_ammalars==3
replace possib_ammalarsi=4 if s14_covid19_possibilita_ammalars==4
label define possib_ammalarsi 1"1-molto" 2"2-abbastanza" 3"3-poco" 4"4-per niente"
label values possib_ammalarsi possib_ammalarsi

gen possib_ammalarsi_3cat=.
replace possib_ammalarsi_3cat=1 if s14_covid19_possibilita_ammalars==1 | s14_covid19_possibilita_ammalars==2
replace possib_ammalarsi_3cat=2 if s14_covid19_possibilita_ammalars==3
replace possib_ammalarsi_3cat=3 if s14_covid19_possibilita_ammalars==4
label define possib_ammalarsi_3cat 1"1-molto/abbastanza" 2"2-poco" 3"3-per niente"
label values possib_ammalarsi_3cat possib_ammalarsi_3cat


gen possib_ammalarsi_2cat=.
replace possib_ammalarsi_2cat=1 if s14_covid19_possibilita_ammalars==1 | s14_covid19_possibilita_ammalars==2
replace possib_ammalarsi_2cat=2 if s14_covid19_possibilita_ammalars==3 | s14_covid19_possibilita_ammalars==4
label define possib_ammalarsi_2cat 1"1-molto/abbastanza" 2"2-poco/per niente"
label values possib_ammalarsi_2cat possib_ammalarsi_2cat

gen possib_ammalarsi_2cat_tot=.
replace possib_ammalarsi_2cat_tot=1 if s14_covid19_possibilita_ammalars==1 | s14_covid19_possibilita_ammalars==2
replace possib_ammalarsi_2cat_tot=2 if s14_covid19_possibilita_ammalars==3 | s14_covid19_possibilita_ammalars==4
replace possib_ammalarsi_2cat_tot=3 if s14_covid19_possibilita_ammalars==-99
label define possib_ammalarsi_2cat_tot 1"1-molto/abbastanza" 2"2-poco/per niente" 3"3-non so"
label values possib_ammalarsi_2cat_tot possib_ammalarsi_2cat_tot

gen possib_ammalarsi_2cat_log=.
replace possib_ammalarsi_2cat_log=1 if s14_covid19_possibilita_ammalars==1 | s14_covid19_possibilita_ammalars==2
replace possib_ammalarsi_2cat_log=0 if s14_covid19_possibilita_ammalars==3 | s14_covid19_possibilita_ammalars==4
label define possib_ammalarsi_2cat_log 1"1-molto/abbastanza" 0"0-poco/per niente"
label values possib_ammalarsi_2cat_log possib_ammalarsi_2cat_log

gen conseguen_salutebis=.
replace conseguen_salutebis=1 if s14_covid19_conseguenze==1
replace conseguen_salutebis=2 if s14_covid19_conseguenze==2
replace conseguen_salutebis=3 if s14_covid19_conseguenze==3
replace conseguen_salutebis=4 if s14_covid19_conseguenze==4
replace conseguen_salutebis=5 if s14_covid19_conseguenze==-99
label define conseguen_salutebis 1"1-molto gravi" 2"2-gravi" 3"3-poco gravi" 4"4-per niente gravi" 5"5-non so"
label values conseguen_salutebis conseguen_salutebis


gen conseguen_salute=.
replace conseguen_salute=1 if s14_covid19_conseguenze==1
replace conseguen_salute=2 if s14_covid19_conseguenze==2
replace conseguen_salute=3 if s14_covid19_conseguenze==3
replace conseguen_salute=4 if s14_covid19_conseguenze==4
replace conseguen_salute=4 if s14_covid19_conseguenze==-99
label define conseguen_salute 1"1-molto gravi" 2"2-gravi" 3"3-poco gravi" 4"4-per niente gravi"
label values conseguen_salute conseguen_salute


gen conseguen_salute_3cat=.
replace conseguen_salute_3cat=1 if (s14_covid19_conseguenze==1 | s14_covid19_conseguenze==2)
replace conseguen_salute_3cat=2 if s14_covid19_conseguenze==3
replace conseguen_salute_3cat=3 if s14_covid19_conseguenze==4
label define conseguen_salute_3cat 1"1-molto/gravi" 2"2-poco" 3"3-per niente"
label values conseguen_salute_3cat conseguen_salute_3cat

gen conseguen_salute_2cat=.
replace conseguen_salute_2cat=1 if (s14_covid19_conseguenze==1 | s14_covid19_conseguenze==2)
replace conseguen_salute_2cat=2 if (s14_covid19_conseguenze==3 | s14_covid19_conseguenze==4)
label define conseguen_salute_2cat 1"1-molto/gravi" 2"2-poco/per niente"
label values conseguen_salute_2cat conseguen_salute_2cat

gen conseguen_salute_2cat_tot=.
replace conseguen_salute_2cat_tot=1 if (s14_covid19_conseguenze==1 | s14_covid19_conseguenze==2)
replace conseguen_salute_2cat_tot=2 if (s14_covid19_conseguenze==3 | s14_covid19_conseguenze==4)
replace conseguen_salute_2cat_tot=3 if (s14_covid19_conseguenze==-99)
label define conseguen_salute_2cat_tot 1"1-molto/gravi" 2"2-poco/per niente" 3"3-non so"
label values conseguen_salute_2cat_tot conseguen_salute_2cat_tot

gen conseguen_salute_2cat_log=.
replace conseguen_salute_2cat_log=1 if (s14_covid19_conseguenze==1 | s14_covid19_conseguenze==2)
replace conseguen_salute_2cat_log=0 if (s14_covid19_conseguenze==3 | s14_covid19_conseguenze==4)
label define conseguen_salute_2cat_log 1"1-molto/gravi" 0"0-poco/per niente"
label values conseguen_salute_2cat_log conseguen_salute_2cat_log

gen vaccino=. 
replace vaccino=1 if s14_covid19_vaccino==1
replace vaccino=2 if s14_covid19_vaccino==2
replace vaccino=3 if s14_covid19_vaccino==3
replace vaccino=4 if s14_covid19_vaccino==4
replace vaccino=5 if s14_covid19_vaccino==-99
replace vaccino=6 if s14_covid19_vaccino==-77

label define vaccino 1"1-certam si" 2"2-probab si" 3"3-probab no" 4"4-certam no" 5"5-non so" 6"6-sono già vaccinato"
label values vaccino vaccino

gen vaccino_new=. 
replace vaccino_new=1 if s14_covid19_vaccino==1
replace vaccino_new=2 if s14_covid19_vaccino==2
replace vaccino_new=3 if s14_covid19_vaccino==3
replace vaccino_new=4 if s14_covid19_vaccino==4
replace vaccino_new=5 if s14_covid19_vaccino==-99
replace vaccino_new=6 if s14_covid19_vaccino==-66

label define vaccino_new 1"1-certam si" 2"2-probab si" 3"3-probab no" 4"4-certam no" 5"5-non so" 6"6-sono già vaccinato"
label values vaccino_new vaccino_new

gen vaccino_2021=. 
replace vaccino_2021=1 if s14_covid19_vaccino==1
replace vaccino_2021=2 if s14_covid19_vaccino==2
replace vaccino_2021=3 if s14_covid19_vaccino==3
replace vaccino_2021=4 if s14_covid19_vaccino==4
replace vaccino_2021=5 if s14_covid19_vaccino==-99
replace vaccino_2021=6 if s14_covid19_vaccino==-66
replace vaccino_2021=7 if s14_covid19_vaccino==-77

label define vaccino_2021 1"1-certam si" 2"2-probab si" 3"3-probab no" 4"4-certam no" 5"5-non so" 6"6-sono già vaccinato" 7"7-ho già avuto covid"
label values vaccino_2021 vaccino_2021

gen vaccino_2021_cat=. 
replace vaccino_2021_cat=1 if s14_covid19_vaccino==1
replace vaccino_2021_cat=2 if s14_covid19_vaccino==2
replace vaccino_2021_cat=3 if s14_covid19_vaccino==3
replace vaccino_2021_cat=4 if s14_covid19_vaccino==4
replace vaccino_2021_cat=5 if s14_covid19_vaccino==-99
replace vaccino_2021_cat=6 if s14_covid19_vaccino==-66

label define vaccino_2021_cat 1"1-certam si" 2"2-probab si" 3"3-probab no" 4"4-certam no" 5"5-non so" 6"6-sono già vaccinato" 
label values vaccino_2021_cat vaccino_2021_cat



gen vaccino_cat=. 
replace vaccino_cat=1 if s14_covid19_vaccino==1
replace vaccino_cat=2 if s14_covid19_vaccino==2
replace vaccino_cat=3 if s14_covid19_vaccino==3
replace vaccino_cat=4 if s14_covid19_vaccino==4
label define vaccino_cat 1"1-certam si" 2"2-probab si" 3"3-probab no" 4"4-certam no" 
label values vaccino_cat vaccino_cat


gen vaccino_2cat=.
replace vaccino_2cat=1 if (s14_covid19_vaccino==1 | s14_covid19_vaccino==2)
replace vaccino_2cat=0 if (s14_covid19_vaccino==3 |  s14_covid19_vaccino==4)
label define vaccino_2cat 1"1-si" 0"0-no" 
label values vaccino_2cat vaccino_2cat


gen s14_mascherina_aperto=. 
replace s14_mascherina_aperto=1 if s14_covid19_mascherina_aperto==1
replace s14_mascherina_aperto=2 if s14_covid19_mascherina_aperto==2
replace s14_mascherina_aperto=3 if s14_covid19_mascherina_aperto==3
replace s14_mascherina_aperto=4 if s14_covid19_mascherina_aperto==4
replace s14_mascherina_aperto=5 if s14_covid19_mascherina_aperto==-77
label define s14_mascherina_aperto 1"1-sempre" 2"2-spesso" 3"3-a volte" 4"4-mai" 5"5-non stato fuori casa" 
label values s14_mascherina_aperto s14_mascherina_aperto

gen mascherina_aperto_sempre=. 
replace mascherina_aperto_sempre=1 if s14_covid19_mascherina_aperto==1
replace mascherina_aperto_sempre=0 if s14_covid19_mascherina_aperto==2 | s14_covid19_mascherina_aperto==3 | s14_covid19_mascherina_aperto==4 
label define mascherina_aperto_sempre 1"1-sempre" 0"0-spesso/a volte/mai" 
label values mascherina_aperto_sempre mascherina_aperto_sempre

gen mascherina_aperto=. 
replace mascherina_aperto=1 if s14_covid19_mascherina_aperto==1 | s14_covid19_mascherina_aperto==2
replace mascherina_aperto=2 if s14_covid19_mascherina_aperto==3
replace mascherina_aperto=3 if s14_covid19_mascherina_aperto==4
label define mascherina_aperto 1"1-sempre/spesso" 2"2-a volte" 3"3-mai" 
label values mascherina_aperto mascherina_aperto

gen mascherina_aperto_2cat=. 
replace mascherina_aperto_2cat=1 if s14_covid19_mascherina_aperto==1 | s14_covid19_mascherina_aperto==2
replace mascherina_aperto_2cat=0 if s14_covid19_mascherina_aperto==3 | s14_covid19_mascherina_aperto==4
label define mascherina_aperto_2cat 1"1-sempre/spesso" 0"0-a volte/mai" 
label values mascherina_aperto_2cat mascherina_aperto_2cat


gen s14_mascherina_luoghi_ch=. 
replace s14_mascherina_luoghi_ch=1 if s14_covid19_mascherina_luoghi_ch==1
replace s14_mascherina_luoghi_ch=2 if s14_covid19_mascherina_luoghi_ch==2
replace s14_mascherina_luoghi_ch=3 if s14_covid19_mascherina_luoghi_ch==3
replace s14_mascherina_luoghi_ch=4 if s14_covid19_mascherina_luoghi_ch==4
replace s14_mascherina_luoghi_ch=5 if s14_covid19_mascherina_luoghi_ch==-77
label define s14_mascherina_luoghi_ch 1"1-sempre" 2"2-spesso" 3"3-a volte" 4"4-mai" 5"5-no freq luoghi chiusi" 
label values s14_mascherina_luoghi_ch s14_mascherina_luoghi_ch

gen mascherina_luoghi_ch_sempre=. 
replace mascherina_luoghi_ch_sempre=1 if s14_covid19_mascherina_luoghi_ch==1
replace mascherina_luoghi_ch_sempre=0 if s14_covid19_mascherina_luoghi_ch==2 | s14_covid19_mascherina_luoghi_ch==3 | s14_covid19_mascherina_luoghi_ch==4 
label define mascherina_luoghi_ch_sempre 1"1-sempre" 0"0-spesso/a volte/mai" 
label values mascherina_luoghi_ch_sempre mascherina_luoghi_ch_sempre

gen mascherina_luoghi_ch=. 
replace mascherina_luoghi_ch=1 if s14_covid19_mascherina_luoghi_ch==1 | s14_covid19_mascherina_luoghi_ch==2
replace mascherina_luoghi_ch=2 if s14_covid19_mascherina_luoghi_ch==3
replace mascherina_luoghi_ch=3 if s14_covid19_mascherina_luoghi_ch==4
label define mascherina_luoghi_ch 1"1-sempre/spesso" 2"2-a volte" 3"3-mai" 
label values mascherina_luoghi_ch mascherina_luoghi_ch

gen mascherina_luoghi_ch_2cat=. 
replace mascherina_luoghi_ch_2cat=1 if s14_covid19_mascherina_luoghi_ch==1 | s14_covid19_mascherina_luoghi_ch==2
replace mascherina_luoghi_ch_2cat=0 if s14_covid19_mascherina_luoghi_ch==3 | s14_covid19_mascherina_luoghi_ch==4
label define mascherina_luoghi_ch_2cat 1"1-sempre/spesso" 0"0-a volte/mai" 
label values mascherina_luoghi_ch_2cat mascherina_luoghi_ch_2cat

gen s14_mascherina_trasporto=. 
replace s14_mascherina_trasporto=1 if s14_covid19_mascherina_trasporto==1
replace s14_mascherina_trasporto=2 if s14_covid19_mascherina_trasporto==2
replace s14_mascherina_trasporto=3 if s14_covid19_mascherina_trasporto==3
replace s14_mascherina_trasporto=4 if s14_covid19_mascherina_trasporto==4
replace s14_mascherina_trasporto=5 if s14_covid19_mascherina_trasporto==-77
label define s14_mascherina_trasporto 1"1-sempre" 2"2-spesso" 3"3-a volte" 4"4-mai" 5"5-no preso mezzi pubb" 
label values s14_mascherina_trasporto s14_mascherina_luoghi_ch

gen mascherina_trasporto_sempre=. 
replace mascherina_trasporto_sempre=1 if s14_covid19_mascherina_trasporto==1
replace mascherina_trasporto_sempre=0 if s14_covid19_mascherina_trasporto==2 | s14_covid19_mascherina_trasporto==3 | s14_covid19_mascherina_trasporto==4 
label define mascherina_trasporto_sempre 1"1-sempre" 0"0-spesso/a volte/mai" 
label values mascherina_trasporto_sempre mascherina_trasporto_sempre

gen mascherina_trasporto=. 
replace mascherina_trasporto=1 if s14_covid19_mascherina_trasporto==1 | s14_covid19_mascherina_trasporto==2
replace mascherina_trasporto=2 if s14_covid19_mascherina_trasporto==3
replace mascherina_trasporto=3 if s14_covid19_mascherina_trasporto==4
label define mascherina_trasporto 1"1-sempre/spesso" 2"2-a volte" 3"3-mai" 
label values mascherina_trasporto mascherina_trasporto


gen mascherina_trasporto_2cat=. 
replace mascherina_trasporto_2cat=1 if s14_covid19_mascherina_trasporto==1 | s14_covid19_mascherina_trasporto==2
replace mascherina_trasporto_2cat=0 if s14_covid19_mascherina_trasporto==3 | s14_covid19_mascherina_trasporto==4
label define mascherina_trasporto_2cat 1"1-sempre/spesso" 0"0-a volte/mai" 
label values mascherina_trasporto_2cat mascherina_trasporto_2cat

gen nuovi_focolai=.
replace nuovi_focolai=1 if s14_covid19_nuovi_focolai==1
replace nuovi_focolai=2 if s14_covid19_nuovi_focolai==2
replace nuovi_focolai=3 if s14_covid19_nuovi_focolai==3
replace nuovi_focolai=4 if s14_covid19_nuovi_focolai==4
label define nuovi_focolai 1"1-molto" 2"2-abbastanza" 3"3-poco" 4"4-per niente"
label values nuovi_focolai nuovi_focolai


gen nuovi_focolai_2cat=.
replace nuovi_focolai_2cat=1 if s14_covid19_nuovi_focolai==1 | s14_covid19_nuovi_focolai==2
replace nuovi_focolai_2cat=2 if s14_covid19_nuovi_focolai==3 | s14_covid19_nuovi_focolai==4
label define nuovi_focolai_2cat 1"1-molto/abbastanza" 2"2-poco/per niente"
label values nuovi_focolai_2cat nuovi_focolai_2cat


gen cond_lavoro_covid=.
replace cond_lavoro_covid=1 if s14_covid19_condizione_lavorativ==1
replace cond_lavoro_covid=2 if s14_covid19_condizione_lavorativ==2
replace cond_lavoro_covid=3 if s14_covid19_condizione_lavorativ==3
replace cond_lavoro_covid=4 if s14_covid19_condizione_lavorativ==4
replace cond_lavoro_covid=5 if s14_covid19_condizione_lavorativ==5
replace cond_lavoro_covid=6 if s14_covid19_condizione_lavorativ==6
replace cond_lavoro_covid=7 if s14_covid19_condizione_lavorativ==7
replace cond_lavoro_covid=8 if s14_covid19_condizione_lavorativ==-99
label define cond_lavoro_covid 1"1-stesso lavoro" 2"2-stesso lavoro ma meno" 3"3-stesso lavoro ma più" 4"4-perso lavoro" 5"5-non lavorava" 6"6-cambiato lavoro perchè non più garantito" 7"7-rinunciato" 8"8-non so/non ricordo"
label values cond_lavoro_covid cond_lavoro_covid

gen cond_lavoro_covid_cat=.
replace cond_lavoro_covid_cat=1 if s14_covid19_condizione_lavorativ==1
replace cond_lavoro_covid_cat=2 if s14_covid19_condizione_lavorativ==2
replace cond_lavoro_covid_cat=3 if s14_covid19_condizione_lavorativ==3
replace cond_lavoro_covid_cat=4 if s14_covid19_condizione_lavorativ==4
replace cond_lavoro_covid_cat=5 if s14_covid19_condizione_lavorativ==6
replace cond_lavoro_covid_cat=6 if s14_covid19_condizione_lavorativ==7
label define cond_lavoro_covid_cat 1"1-stesso lavoro" 2"2-stesso lavoro ma meno" 3"3-stesso lavoro ma più" 4"4-perso lavoro" 5"5-cambiato lavoro perchè non più garantito" 6"6-rinunciato"
label values cond_lavoro_covid_cat cond_lavoro_covid_cat

gen lavoro_lockdown=.
replace lavoro_lockdown=1 if s14_covid19_lockdown==1
replace lavoro_lockdown=2 if s14_covid19_lockdown==2
replace lavoro_lockdown=3 if s14_covid19_lockdown==3
replace lavoro_lockdown=4 if s14_covid19_lockdown==4
replace lavoro_lockdown=5 if s14_covid19_lockdown==5
replace lavoro_lockdown=6 if s14_covid19_lockdown==-99
label define lavoro_lockdown 1"1-sede abituale" 2"2-sede e SW" 3"3-SW" 4"4-ha smesso di lavorare" 5"5-malattia/convalescenza" 6"6-non so/non ricordo"
label values lavoro_lockdown lavoro_lockdown

gen lavoro_lockdown_cat=.
replace lavoro_lockdown_cat=1 if s14_covid19_lockdown==1
replace lavoro_lockdown_cat=2 if s14_covid19_lockdown==2
replace lavoro_lockdown_cat=3 if s14_covid19_lockdown==3
replace lavoro_lockdown_cat=4 if s14_covid19_lockdown==4
replace lavoro_lockdown_cat=5 if s14_covid19_lockdown==5
label define lavoro_lockdown_cat 1"1-sede abituale" 2"2-sede e SW" 3"3-SW" 4"4-ha smesso di lavorare" 5"5-malattia/convalescenza"
label values lavoro_lockdown_cat lavoro_lockdown_cat

drop no_mammo_motivo no_so_motivo_2010 no_pap_motivo
label drop no_mammo_motivo no_so_motivo_2010 no_pap_motivo


gen no_mammo_motivo=.
replace no_mammo_motivo=1 if s09_no_mammo_motivo==1 
replace no_mammo_motivo=2 if s09_no_mammo_motivo==2 
replace no_mammo_motivo=3 if s09_no_mammo_motivo==3 
replace no_mammo_motivo=4 if s09_no_mammo_motivo==4 
replace no_mammo_motivo=5 if s09_no_mammo_motivo==5 | s09_no_mammo_motivo==11
replace no_mammo_motivo=6 if s09_no_mammo_motivo==6 
replace no_mammo_motivo=7 if s09_no_mammo_motivo==7 
replace no_mammo_motivo=8 if s09_no_mammo_motivo==8 
replace no_mammo_motivo=9 if s09_no_mammo_motivo==9 
replace no_mammo_motivo=10 if s09_no_mammo_motivo==10
replace no_mammo_motivo=12 if s09_no_mammo_motivo==12 
replace no_mammo_motivo=13 if s09_no_mammo_motivo==13 
replace no_mammo_motivo=15 if s09_no_mammo_motivo==15 
replace no_mammo_motivo=-99 if s09_no_mammo_motivo==-99 
label define no_mammo_motivo 1"1 penso non averne bisogno" 2"2 mi sento imbarazzata" 3"3 nessuno consigliato" 4"4 paura risultati esame" 5"5 difficile prendere contatti ASL" 6"6 fastidioso/doloroso" 7"7 gia operata/altri motivi sanitari" 8"8 altro" 9"9 pigrizia" 10"10 non avuto tempo" 12"12 sede/data/orario non andavano bene" 13"13 no convocazione"  15"15 chiusi per covid" -99"-99 non so/non ricordo" 
label value no_mammo_motivo no_mammo_motivo 


gen no_so_motivo_2010=.
replace no_so_motivo_2010=1 if s10_no_so_motivo==1 
replace no_so_motivo_2010=2 if s10_no_so_motivo==2 
replace no_so_motivo_2010=3 if s10_no_so_motivo==3 
replace no_so_motivo_2010=4 if s10_no_so_motivo==4 
replace no_so_motivo_2010=5 if s10_no_so_motivo==5 | s10_no_so_motivo==12 
replace no_so_motivo_2010=6 if s10_no_so_motivo==6 
replace no_so_motivo_2010=7 if s10_no_so_motivo==7 
replace no_so_motivo_2010=8 if s10_no_so_motivo==8 
replace no_so_motivo_2010=9 if s10_no_so_motivo==9
replace no_so_motivo_2010=10 if s10_no_so_motivo==10 
replace no_so_motivo_2010=11 if s10_no_so_motivo==11 
replace no_so_motivo_2010=13 if s10_no_so_motivo==13 
replace no_so_motivo_2010=14 if s10_no_so_motivo==14 
replace no_so_motivo_2010=15 if s10_no_so_motivo==15 
replace no_so_motivo_2010=-99 if s10_no_so_motivo==-99  
label define no_so_motivo_2010	1 "1 penso non averne bisogno" 2"2 mi sento imbarazzato" 3"3 nessuno consigliato" 4"4 paura risultati esame" ///
5"5-12 difficile prendere contatti ASL" 6"6 fastidioso/doloroso" 7"7 gia operato/altri motivi sanitari" 8"8 altro" 9"9 pigrizia" 10"10 non avuto tempo" ///
11"11 giȠfatto/mi Ϡhanno consigliato di fare la colon/rettosigmoidoscopia" 13"13 sede/data/orario non andavano bene" ///
14"14 no convocazione" 15"15 chiuso per covid"  -99"-99 non so/non ricordo" 
label value no_so_motivo_2010 no_so_motivo_2010


gen no_pap_motivo=.
replace no_pap_motivo=1 if s08_no_pap_motivo==1
replace no_pap_motivo=2 if s08_no_pap_motivo==2
replace no_pap_motivo=3 if s08_no_pap_motivo==3
replace no_pap_motivo=4 if s08_no_pap_motivo==4
replace no_pap_motivo=5 if s08_no_pap_motivo==5 | s08_no_pap_motivo==11
replace no_pap_motivo=6 if s08_no_pap_motivo==6
replace no_pap_motivo=7 if s08_no_pap_motivo==7
replace no_pap_motivo=8 if s08_no_pap_motivo==8
replace no_pap_motivo=9 if s08_no_pap_motivo==9
replace no_pap_motivo=10 if s08_no_pap_motivo==10
replace no_pap_motivo=12 if s08_no_pap_motivo==12
replace no_pap_motivo=13 if s08_no_pap_motivo==13
replace no_pap_motivo=14 if s08_no_pap_motivo==14
replace no_pap_motivo=15 if s08_no_pap_motivo==15
replace no_pap_motivo=-99 if s08_no_pap_motivo==-99
label define no_pap_motivo 1"1 penso non averne bisogno" 2"2 mi sento imbarazzata" 3"3 nessuno consigliato" 4"4 paura risultati esame" 5"5 difficile prendere contatti ASL" 6"6 fastidioso/doloroso" 7"7 gia operata/altri motivi sanitari" 8"8 altro" 9"9 pigrizia" 10"10 non avuto tempo" 12"12 sede/data/orario non andavano bene" 13"13 no convocazione" 14"14 no in eta target" 15"15 chiuso per covid" -99"-99 non so/non ricordo" 
label value no_pap_motivo no_pap_motivo

gen pre_post_lockdown=.
replace pre_post_lockdown=1 if data_intervista_new<td(10march2020)
replace pre_post_lockdown=2 if data_intervista_new>=td(10march2020) & data_intervista_new<td(05may2020)
replace pre_post_lockdown=3 if data_intervista_new>=td(05may2020)
label define pre_post_lockdown 1"1 pre-lockdown" 2"2 lockdown" 3"3 post-lockdown"
label value pre_post_lockdown pre_post_lockdown


gen pre_post_mascherine=.
replace pre_post_mascherine=1 if data_intervista_new<td(7october2020)
replace pre_post_mascherine=2 if data_intervista_new>=td(7october2020)
label define pre_post_mascherine 1"1 pre-obbligo" 2"2 post-obbligo"
label value pre_post_mascherine pre_post_mascherine

gen covid_esper_dolorosa=.
replace covid_esper_dolorosa=1 if s14_covid19_ripensare_esperienza==1
replace covid_esper_dolorosa=0 if s14_covid19_ripensare_esperienza==2
label define covid_esper_dolorosa 1"1-si" 0"0-no"
label values covid_esper_dolorosa covid_esper_dolorosa

gen sentore_covid=.
replace sentore_covid=1 if s14_covid19_sentore==1
replace sentore_covid=2 if s14_covid19_sentore==2
replace sentore_covid=3 if s14_covid19_sentore==3
replace sentore_covid=4 if s14_covid19_sentore==4
label define sentore_covid 1"1-molto_tranq" 2"2-abb_tranq" 3"3-unpò_preocc" 4"4-molto_preocc"
label values sentore_covid sentore_covid

gen sentore_covid_2cat=.
replace sentore_covid_2cat=0 if s14_covid19_sentore==1 | s14_covid19_sentore==2
replace sentore_covid_2cat=1 if s14_covid19_sentore==3 | s14_covid19_sentore==4
label define sentore_covid_2cat 0"0-molto/abb_tranq" 1"1-unpò/molto_preocc" 
label values sentore_covid_2cat sentore_covid_2cat

